-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002, 2004.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/cdw/dml/gwl_cdw_data.sql, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.9
-- #   Date: 4/7/04 15:31:56
-- ############################################################################
-- Change Activity:
--  $D0 167338 02/20/04  lmd  new file: Add twg.prune_msmt_control statements
--  $D1 170075 04/02/04  lmd  Added column spcification to twg table inserts
--                            for compatability with TDW 1.2
-- ############################################################################
-------------------------------------------------
-- Static data for ITM for WebLogic v5.1.0
------------------------------------------------


-- create a temporary table for generic component types

declare global temporary table CompTyp (
       CompTyp_Cd           CHAR(17) NOT NULL,
       CompTyp_Parent_Cd    CHAR(17),
       CompTyp_Nm           VARCHAR(120) NOT NULL,
       CompTyp_Strt_DtTm    TIMESTAMP NOT NULL,
       CompTyp_End_DtTm     TIMESTAMP NOT NULL
) 
with replace on commit preserve rows not logged
;

insert into session.CompTyp values ('GWL_HOST', null, 'WebLogic Host', current timestamp - current timezone, '9999-01-01-00.00.00.000000');

-- insert the component types into the generic schema 
-- if not exist already

insert into TWG.CompTyp (CompTyp_Cd, CompTyp_Parent_Cd, CompTyp_Nm, CompTyp_Strt_DtTm, CompTyp_End_DtTm) 
select 
 c.CompTyp_Cd,
 c.CompTyp_Parent_Cd,
 c.CompTyp_Nm,
 c.CompTyp_Strt_DtTm,
 c.CompTyp_End_DtTm   
from 
 session.CompTyp c
where not exists
( select 1 from
  TWG.Cur_CompTyp t
  where
  t.CompTyp_cd=c.CompTyp_cd)
  ;



-- create a temporary table for measurement source cd 

declare global temporary table MSrc (
       MSrc_Cd              CHAR(6) NOT NULL,
       MSrc_Parent_Cd       CHAR(6) NOT NULL,
       MSrc_Nm              VARCHAR(120) NOT NULL
) 
with replace on commit preserve rows not logged
;


-- insert into session.MSrc values ('AMX', 'Tivoli', 'IBM Tivoli Monitoring'); 

-- insert into TWG.MSrc 
-- select 
--  m.MSrc_Cd,
--  m.MSrc_Parent_Cd,
--  m.MSrc_Nm
-- from 
--  session.MSrc m
-- where not exists
-- ( select 1 from
--   TWG.MSrc t
--   where
--   t.MSrc_Cd=m.MSrc_Cd )
--   ; 


insert into session.MSrc values ('GWL', 'AMX', 'IBM Tivoli Monitoring for Web Infrastructure : WebLogic'); 

insert into TWG.MSrc (MSrc_Cd, MSrc_Parent_Cd, MSrc_Nm)
select 
 m.MSrc_Cd,
 m.MSrc_Parent_Cd,
 m.MSrc_Nm
from 
 session.MSrc m
where not exists
( select 1 from
  TWG.MSrc t
  where
  t.MSrc_Cd=m.MSrc_Cd )
  ; 


-- create a temporary table for weblogic component types

declare global temporary table GWL_CompTyp (
       CompTyp_Cd           CHAR(17) NOT NULL,
       CompTyp_Parent_Cd    CHAR(17),
       CompTyp_Nm           VARCHAR(120) NOT NULL,
       CompTyp_Strt_DtTm    TIMESTAMP NOT NULL,
       CompTyp_End_DtTm     TIMESTAMP NOT NULL
) 
with replace on commit preserve rows not logged
;

insert into session.GWL_CompTyp values ('GWL_SERVER', null, 'WebLogic Server', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_LG_BCAST', null, 'WebLogic Log Broadcaster', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_APPL', null, 'WebLogic Application', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_EJB', null, 'WebLogic Enterprise Java Beans', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_EX_QU', null, 'WebLogic Execute Queue', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JDBC_CNXPL', null, 'WebLogic Java Database Connection Pool', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JMS_CNX', null, 'WebLogic Java Messaging Services Connection', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JMS_DEST', null, 'WebLogic Java Messaging Services Destination', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JMS_SV', null, 'WebLogic Java Messaging Services Server', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JVM', null, 'WebLogic Java Virtual Machine', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_SV_SEC', null, 'WebLogic Server Security', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_SERVLET', null, 'WebLogic Servlet', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_WAP_COMP', null, 'WebLogic Web Application Component', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_CNTOR_COMP', null, 'WebLogic Connector Component', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_EJB_COMP', null, 'WebLogic Enterprise Java Beans Component', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_JTA', null, 'WebLogic Java Transaction Application Programming Interface', current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.GWL_CompTyp values ('GWL_TX_RES', null, 'WebLogic Transaction Resource', current timestamp - current timezone, '9999-01-01-00.00.00.000000');


-- insert the weblogic component types into the generic schema 
-- if not exist already

insert into TWG.CompTyp (CompTyp_Cd, CompTyp_Parent_Cd, CompTyp_Nm, CompTyp_Strt_DtTm, CompTyp_End_DtTm) 
select 
 c.CompTyp_Cd,
 c.CompTyp_Parent_Cd,
 c.CompTyp_Nm,
 c.CompTyp_Strt_DtTm,
 c.CompTyp_End_DtTm   
from 
 session.GWL_CompTyp c
where not exists
( select 1 from
  TWG.Cur_CompTyp t
  where
  t.CompTyp_cd=c.CompTyp_cd)
  ;



-- create a temporary table for weblogic measurement types

declare global temporary table GWL_MsmtTyp (
       MUnit_Cd          CHAR(6) NOT NULL,
       MSrc_Cd		    CHAR(6) NOT NULL,
       MsmtTyp_Nm           VARCHAR(120) NOT NULL,
       MsmtTyp_Ds           VARCHAR(254)
) 
with replace on commit preserve rows not logged
;


--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ActivationCount', 'Number active');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ActiveConnectionsCurrentCount', 'Current number of active connections');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ActiveConnectionsHighCount', 'Peak number of active connections in this pool since it was instantiated');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'AverageActiveUsage', 'Running average usage of created active connections in the pool since it was last shrunk');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'BeansInUseCount', 'Number of beans in use');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'BytesCurrentCount', 'Current number of bytes stored on this Server/destination');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'BytesHighCount', 'Peak number of bytes stored in this Server/destination since the last reset');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'BytesPendingCount', 'Current number of bytes pending (unacknowledged or uncommitted) stored on this Server/destination');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'BytesReceivedCount', 'Number of bytes received on this Server/destination since the last reset');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'CacheAccessCount', 'Number of access to this cache');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'CacheHitCount', 'Number of cache hits ');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'CachedBeansCurrentCount', 'Current number of cached beans');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'CachedBeansIdleCurrentCount', 'Current number of idle beans');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'CachedBeansInUseCurrentCount', 'Current number of beans in use');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'MSec', 'GWL', 'ConnectionDelayTime', 'Delay time to get a connection');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ConnectionLeakProfileCount', 'Number of connection leak profiles');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ConsumersCurrentCount', 'Current number of consumers accessing this destination');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ConsumersHighCount', 'Peak number of consumers accessing this destination since the last reset');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','DBPoolsExceptionsRate','Rate of leaked connections');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','DBPoolsLeakedConnectionsPerCycle','Number of leaked connections per monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','DBPoolsWaitingForConnectionsPercent','Percentage of requesters waiting for connection');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'DestinationsCurrentCount', 'Current number of destinations for this Server');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'DestinationsHighCount', 'Peak number of destinations on this Server since the last reset');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','EJBAttemptedTransactionsPerCycle','Number of attempted transactions per cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','EJBTransactionsCommittedPerCycle','Total number of transactions committed during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','EJBTransactionsTimedOutPerCycle','Number of transactions timed out during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','EJBTransactionsTimedOutPercent','Percent of attempted transactions timed out');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'ExecuteThreadCurrentIdleCount', 'Number of idle threads assigned to the queue');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'MSec', 'GWL', 'ExecutionTimeAverage', 'Average amount of time all invocations of the servlet have executed since created');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'MSec', 'GWL', 'ExecutionTimeHigh', 'Amount of time the single longest invocation of the servlet has executed since created');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'MSec', 'GWL', 'ExecutionTimeLow', 'Amount of time the single shortest invocation of the servlet has executed since created');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'FailuresToReconnectCount', 'Number of failed attempts to reconnect');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'FreeConnectionsCurrentCount', 'Current total free connections');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'FreeConnectionsHighCount', 'Peak number of free connections in this pool since it was instantiated');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','HTTPSessionThroughput','Rate of sessions opened');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','HTTPSessionsOpenedPerCycle','Number of sessions opened during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'HeapFreeCurrent', 'Number of free bytes in heap');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'B', 'GWL', 'HeapSizeCurrent', 'Total number of bytes in heap');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ( 'QTY', 'GWL', 'IdleBeansCount', 'Number of idle beans');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','InvalidLoginUsersHighCount','Peak number of users with outstanding invalid login attempts for this Server');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JCAConnectionsRejectedPerCycle','Number of connections rejected during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JCAConnectionsRejectedRate','Rate of connections rejected');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JMSDestinationMessagesReceivedPerCycle','Number of messages received during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JMSDestinationMessagesThroughput','Number of messages received');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JMSServerMessagesReceivedPerCycle','Number of messages received during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JMSServerMessagesThroughput','Rate of messages received');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JTAAttemptedTransactionsPerCycle','Number of attempted transactions during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JTATransactionsPerCycle','Number of transactions processed during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','JTATransactionsRolledBackPerCycle','Number of rolled back transactions during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','JTATransactionsRolledBackPercent','Percentage of rolled back transactions');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','LockedUsersCurrentCount','Number of currently locked users on this Server');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','LoginFailureCount','Current count of login failures for this user');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','MessagesCurrentCount','Current number of messages in the Server/destination');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','MessagesHighCount','Peak number of messages in the Server/destination since the last reset');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','MessagesPendingCount','Number of pending messages in the Server/destination');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','OpenSessionsCurrentCount','Current total number of open sessions in this component');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','OpenSessionsHighCount','Peak total number of open sessions in this component');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','PassivationCount','Number passive in this cache');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('MSec','GWL','PendingRequestCurrentCount','Number of waiting requests in the queue');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('MSec','GWL','PendingRequestOldestTime','Time that the longest waiting request was placed in the queue');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','PrepStmtCacheHitCount','Number of hits on prepared statment cache');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','PrepStmtCacheMissCount','Number of  misses on prepared statment cache');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','PreparedStatementCacheProfileCount','Number of prepared statement profiles');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','ServletExecutionTimePerCycle','Amount of time all invocations of the servlet has executed per monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','ServletInvocationsPerCycle','Number of servlet invocations during the monitoring cycle');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','ServletResponseTimeAverage','Number of servlet invocations per total servlet execution time');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','ServletThroughput','Rate of servlet invocations');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','SessionPoolsCurrentCount','Current number of session pools instantiated on this Server');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','SessionPoolsHighCount','Peak number of session pools instantiated on this Server since the last reset');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','SessionsCurrentCount','Current number of sessions for this connection');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','SessionsHighCount','Peak number of sessions for this connection since the last reset');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateDown','Percentage of time that the WebLogic Server is down');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateRunning','Percentage of time that the WebLogic Server is running');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateShutdownInProcess','Percentage of time that the WebLogic Server is in a state of shutting down');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateShutdownPending','Percentage of time that the WebLogic Server is in a pending state');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateSuspended','Percentage of time that the WebLogic Server is in a suspended state');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateStandby','Percentage of time that the WebLogic Server is in a standby state');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('PRC','GWL','StateUnknown','Percentage of time that the WebLogic Server is in an unknown state');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','StatementProfileCount','Number of statement profiles');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','WaitSecondsHighCount','Peak number of seconds waiting');
insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','WaitingForConnectionCurrentCount','Current number waiting for connection');
--insert into session.GWL_MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) values ('QTY','GWL','WaitingForConnectionHighCount','Peak number waiting for connection');




-- insert the weblogic measurement types into the generic schema 
-- if not exist already

insert into TWG.MsmtTyp (MUnit_Cd, MSrc_Cd, MsmtTyp_Nm, MsmtTyp_Ds) 
select 
 m.MUnit_Cd,
 m.MSrc_Cd,
 m.MsmtTyp_Nm,
 m.MsmtTyp_Ds
from 
 session.GWL_MsmtTyp m
where not exists
( select 1 from
  TWG.MsmtTyp t
  where
  t.MsmtTyp_Nm=m.MsmtTyp_Nm)
  ;


-- create a temporary table for weblogic measurement types
declare global temporary table GWL_MsmtRul (
       CompTyp_Cd           CHAR(17) NOT NULL,
       MsmtTyp_ID           INTEGER NOT NULL
) 
with replace on commit preserve rows not logged
;

insert into session.GWL_MsmtRul
select 'GWL_SERVER', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'StateDown',
'StateRunning',
'StateShutdownInProcess',
'StateShutdownPending',
'StateSuspended',
'StateStandby',
'StateUnknown'
);


insert into session.GWL_MsmtRul
select 'GWL_CNTOR_COMP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'JCAConnectionsRejectedPerCycle',
'ActiveConnectionsCurrentCount',
--'ActiveConnectionsHighCount',
--'AverageActiveUsage',
--'FreeConnectionsCurrentCount',
--'FreeConnectionsHighCount',
 'JCAConnectionsRejectedRate');

insert into session.GWL_MsmtRul
select 'GWL_EJB', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'EJBTransactionsCommittedPerCycle',
'EJBTransactionsTimedOutPerCycle',
'EJBAttemptedTransactionsPerCycle',
--'ActivationCount',
--'CacheAccessCount',
--'CacheHitCount',
--'CachedBeansCurrentCount',
--'PassivationCount',
--'BeansInUseCount',
--'IdleBeansCount',
'EJBTransactionsTimedOutPercent'
);

--insert into session.GWL_MsmtRul
--select 'GWL_EJB_COMP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--'CachedBeansCurrentCount',
--'CachedBeansIdleCurrentCount',
--'CachedBeansInUseCurrentCount'
--);

insert into session.GWL_MsmtRul
select 'GWL_EX_QU', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--'ExecuteThreadCurrentIdleCount',
'PendingRequestCurrentCount'
--'PendingRequestOldestTime'
);

insert into session.GWL_MsmtRul
select 'GWL_JDBC_CNXPL', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'DBPoolsLeakedConnectionsPerCycle',
'ActiveConnectionsCurrentCount',
--'ActiveConnectionsHighCount',
--'ConnectionDelayTime',
--'ConnectionLeakProfileCount',
--'FailuresToReconnectCount',
--'PrepStmtCacheHitCount',
--'PrepStmtCacheMissCount',
--'PreparedStatementCacheProfileCount',
--'StatementProfileCount',
--'WaitSecondsHighCount',
'WaitingForConnectionCurrentCount',
--'WaitingForConnectionHighCount',
'DBPoolsWaitingForConnectionsPercent',
'DBPoolsExceptionsRate');

--insert into session.GWL_MsmtRul
--select 'GWL_JMS_CNX', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--'SessionsCurrentCount',
--'SessionsHighCount'
--);

insert into session.GWL_MsmtRul
select 'GWL_JMS_DEST', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'JMSDestinationMessagesReceivedPerCycle',
--'BytesCurrentCount',
--'BytesHighCount',
--'BytesPendingCount',
--'BytesReceivedCount',
--'CacheAccessCount',
--'ConsumersCurrentCount',
--'ConsumersHighCount',
'MessagesCurrentCount',
--'MessagesHighCount',
--'MessagesPendingCount',
'JMSDestinationMessagesThroughput');


insert into session.GWL_MsmtRul
select 'GWL_JMS_SV', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'JMSServerMessagesReceivedPerCycle',
--'BytesCurrentCount',
--'BytesHighCount',
--'BytesPendingCount',
--'BytesReceivedCount',
--'CacheAccessCount',
--'DestinationsCurrentCount',
--'DestinationsHighCount',
'MessagesCurrentCount',
--'MessagesHighCount',
--'MessagesPendingCount',
--'SessionPoolsCurrentCount',
--'SessionPoolsHighCount',
'JMSServerMessagesThroughput');

insert into session.GWL_MsmtRul
select 'GWL_JTA', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'JTATransactionsRolledBackPerCycle',
'JTATransactionsPerCycle',
'JTAAttemptedTransactionsPerCycle',
'JTATransactionsRolledBackPercent');

insert into session.GWL_MsmtRul
select 'GWL_JVM', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'HeapFreeCurrent',
'HeapSizeCurrent');

--insert into session.GWL_MsmtRul
--select 'GWL_LG_BCAST', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--);

--insert into session.GWL_MsmtRul
--select 'GWL_SV_SEC', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--'InvalidLoginUsersHighCount',
--'LockedUsersCurrentCount',
--'LoginFailureCount'
--);

insert into session.GWL_MsmtRul
select 'GWL_SERVLET', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'ServletExecutionTimePerCycle',
'ServletInvocationsPerCycle',
--'ExecutionTimeAverage',
--'ExecutionTimeHigh',
--'ExecutionTimeLow',
'ServletResponseTimeAverage',
'ServletThroughput');

--insert into session.GWL_MsmtRul
--select 'GWL_TX_RES', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
--);

insert into session.GWL_MsmtRul
select 'GWL_WAP_COMP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'HTTPSessionsOpenedPerCycle',
'OpenSessionsCurrentCount',
--'OpenSessionsHighCount',
'HTTPSessionThroughput');


-- insert the measurement rule into the generic schema 
-- if not exist already

insert into TWG.MsmtRul (CompTyp_Cd, MsmtTyp_ID)
select 
 m.CompTyp_Cd,
 m.MsmtTyp_ID
from 
 session.GWL_MsmtRul m
where not exists
( select 1 from
  TWG.MsmtRul t
  where
  t.CompTyp_Cd=m.CompTyp_Cd and
  t.MsmtTyp_ID=m.MsmtTyp_ID)
  ;

  


-- create a temporary table for weblogic attribute types
declare global temporary table GWL_AttrTyp (
       AttrTyp_Cd           CHAR(17) NOT NULL,
       AttrTyp_Nm           VARCHAR(120) NOT NULL
) 
with replace on commit preserve rows not logged
;

insert into session.GWL_AttrTyp values ('GWL_CC_POOL_NM', 'WebLogic Connector Connection Pool Associated with the Data Source');
insert into session.GWL_AttrTyp values ('GWL_CLIENT_ID', 'WebLogic Client ID for this Connection');
insert into session.GWL_AttrTyp values ('GWL_CNT_DISP_NM', 'WebLogic Display Name of a Resource Adapter Component');
insert into session.GWL_AttrTyp values ('GWL_CNX_FACT_NM', 'WebLogic Name of Connection Factory Associated with a Connection Pool');
insert into session.GWL_AttrTyp values ('GWL_CONTEXT_PATH', 'WebLogic Context Path Value');
insert into session.GWL_AttrTyp values ('GWL_DEST_TYPE', 'WebLogic Destination Type');
insert into session.GWL_AttrTyp values ('GWL_DOMAIN', 'WebLogic Domain');
insert into session.GWL_AttrTyp values ('GWL_JDBC_POOL_NM', 'WebLogic Java Database Connection Pool Associated with the Data Source');
insert into session.GWL_AttrTyp values ('GWL_LISTEN_ADDR', 'Address on which the WebLogic Server is Listening for Connections');
insert into session.GWL_AttrTyp values ('GWL_LISTEN_PORT', 'Port on which the WebLogic Server is Listening for Connections');
insert into session.GWL_AttrTyp values ('GWL_SERVLET_PATH', 'WebLogic Servlet Path');
insert into session.GWL_AttrTyp values ('GWL_SRCE_INFO', 'WebLogic Component Source');
insert into session.GWL_AttrTyp values ('GWL_VERS_JDBC_DRV', 'Version of the Java Database Connection Driver: Driver Class Name Concatenated with Major:XX, Minor:YY');
insert into session.GWL_AttrTyp values ('GWL_JVM_VENDOR', 'Vendor of the Java Virtual Machine');

-- insert the Oracle attribute types into the generic schema 
-- if not exist already

insert into TWG.AttrTyp (AttrTyp_Cd, AttrTyp_Nm) 
select 
 m.AttrTyp_Cd,
 m.AttrTyp_Nm
from 
 session.GWL_AttrTyp m
where not exists
( select 1 from
  TWG.AttrTyp t
  where
  t.AttrTyp_Cd = m.AttrTyp_Cd and
  t.AttrTyp_Nm = m.Attrtyp_Nm )
  ;

--
-- Insert measurement group type codes
--
declare global temporary table mgrptyp (
  MGrpTyp_Cd           CHAR(6) NOT NULL,
  MGrpTyp_Nm           VARCHAR(120) NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.MgrpTyp values ('STATE','State');

insert into twg.mgrptyp (  MGRPTYP_CD, MGRPTYP_NM)
select * from session.mgrptyp s
where not exists (
  select 1 from
  twg.mgrptyp t where
  t.mgrptyp_Cd = s.mgrptyp_Cd
);
 
-- create a temporary table for measurement group 
declare global temporary table GWL_MGrp (
       MGrp_Cd              CHAR(6) NOT NULL,
       MGrpTyp_Cd           CHAR(6) NOT NULL,
       MGrp_Parent_Cd       CHAR(6),
       MGrp_Nm              VARCHAR(120) NOT NULL
) 
with replace on commit preserve rows not logged
;  

insert into session.GWL_MGrp values ('GWL_SV','STATE',null,'WebLogic Server Percent in State Measurements');

-- insert the measurement group into the generic schema 
-- if not exist already

insert into TWG.MGrp (MGrp_Cd, MGrpTyp_Cd, MGrp_Parent_Cd, MGrp_Nm)
select 
 m.MGrp_Cd,
 m.MGrpTyp_Cd,
 m.MGrp_Parent_Cd,
 m.MGrp_Nm 
from 
 session.GWL_MGrp m
where not exists
( select 1 from
  TWG.MGrp t
  where
  t.MGrpTyp_Cd=m.MGrpTyp_Cd and
  t.MGrp_Cd=m.MGrp_Cd
 ) 
  ;

-- create a temporary table for measurement group member 

declare global temporary table GWL_MGrpMbr (
       MGrp_Cd              CHAR(6) NOT NULL,
       MGrpTyp_Cd           CHAR(6) NOT NULL,
       MsmtTyp_ID           INTEGER NOT NULL
       
)
with replace on commit preserve rows not logged
;

insert into session.GWL_MGrpMbr
select 'GWL_SV','STATE', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'StateDown',
'StateRunning',
'StateShutdownInProcess',
'StateShutdownPending',
'StateSuspended',
'StateStandby',
'StateUnknown'
);

insert into session.GWL_MGrpMbr
select 'MIN_E','GROUP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'StateDown',
'StateRunning',
'StateShutdownInProcess',
'StateShutdownPending',
'StateSuspended',
'StateStandby',
'StateUnknown',
'EJBTransactionsCommittedPerCycle',
'EJBTransactionsTimedOutPerCycle',
'HTTPSessionThroughput',
'JTATransactionsRolledBackPerCycle',
'ServletExecutionTimePerCycle',
'JTATransactionsPerCycle',
'JCAConnectionsRejectedPerCycle',
'EJBAttemptedTransactionsPerCycle',
'DBPoolsLeakedConnectionsPerCycle',
'JMSDestinationMessagesReceivedPerCycle',
'JMSServerMessagesReceivedPerCycle',
'JTAAttemptedTransactionsPerCycle',
'ServletInvocationsPerCycle',
'HTTPSessionsOpenedPerCycle',
--'ActivationCount',
'ActiveConnectionsCurrentCount',
--'AverageActiveUsage',
--'BeansInUseCount',
--'BytesCurrentCount',
--'BytesPendingCount',
--'BytesReceivedCount',
--'CacheAccessCount',
--'CacheHitCount',
--'CachedBeansCurrentCount',
--'CachedBeansIdleCurrentCount',
--'CachedBeansInUseCurrentCount',
--'ConnectionDelayTime',
--'ConnectionLeakProfileCount',
--'ConsumersCurrentCount',
--'DestinationsCurrentCount',
--'ExecuteThreadCurrentIdleCount',
--'ExecutionTimeAverage',
--'ExecutionTimeLow',
--'FailuresToReconnectCount',
--'FreeConnectionsCurrentCount',
'HeapFreeCurrent',
'HeapSizeCurrent',
--'IdleBeansCount',
--'LockedUsersCurrentCount',
--'LoginFailureCount',
'MessagesCurrentCount',
--'MessagesPendingCount',
--'PassivationCount',
'PendingRequestCurrentCount',
--'PendingRequestOldestTime',
--'PrepStmtCacheHitCount',
--'PrepStmtCacheMissCount',
--'PreparedStatementCacheProfileCount',
--'SessionPoolsCurrentCount',
--'SessionsCurrentCount',
--'StatementProfileCount',
'TestTableStatus',
'WaitingForConnectionCurrentCount',
'JTATransactionsRolledBackPercent',
'JTATransactionsRolledBackPercent',
'JMSServerMessagesThroughput',
'JMSDestinationMessagesThroughput',
'JCAConnectionsRejectedRate',
'DBPoolsWaitingForConnectionsPercent',
'DBPoolsExceptionsRate',
'ServletResponseTimeAverage',
'ServletThroughput',
'EJBTransactionsTimedOutPercent'
);

insert into session.GWL_MGrpMbr
select 'MAX_E','GROUP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'StateDown',
'StateRunning',
'StateShutdownInProcess',
'StateShutdownPending',
'StateSuspended',
'StateStandby',
'StateUnknown',
'EJBTransactionsCommittedPerCycle',
'EJBTransactionsTimedOutPerCycle',
'HTTPSessionThroughput',
'JTATransactionsRolledBackPerCycle',
'ServletExecutionTimePerCycle',
'JTATransactionsPerCycle',
'JCAConnectionsRejectedPerCycle',
'EJBAttemptedTransactionsPerCycle',
'DBPoolsLeakedConnectionsPerCycle',
'JMSDestinationMessagesReceivedPerCycle',
'JMSServerMessagesReceivedPerCycle',
'JTAAttemptedTransactionsPerCycle',
'ServletInvocationsPerCycle',
'HTTPSessionsOpenedPerCycle',
--'ActivationCount',
'ActiveConnectionsCurrentCount',
--'ActiveConnectionsHighCount',
--'AverageActiveUsage',
--'BeansInUseCount',
--'BytesCurrentCount',
--'BytesHighCount',
--'BytesPendingCount',
--'BytesReceivedCount',
--'CacheAccessCount',
--'CacheHitCount',
--'CachedBeansCurrentCount',
--'CachedBeansIdleCurrentCount',
--'CachedBeansInUseCurrentCount',
--'ConnectionDelayTime',
--'ConnectionLeakProfileCount',
--'ConsumersCurrentCount',
--'ConsumersHighCount',
--'DestinationsCurrentCount',
--'DestinationsHighCount',
--'ExecuteThreadCurrentIdleCount',
--'ExecutionTimeAverage',
--'ExecutionTimeHigh',
--'FailuresToReconnectCount',
--'FreeConnectionsCurrentCount',
--'FreeConnectionsHighCount',
'HeapFreeCurrent',
'HeapSizeCurrent',
--'IdleBeansCount',
--'InvalidLoginUsersHighCount',
--'LockedUsersCurrentCount',
--'LoginFailureCount',
'MessagesCurrentCount',
--'MessagesHighCount',
--'MessagesPendingCount',
--'OpenSessionsHighCount',
--'PassivationCount',
'PendingRequestCurrentCount',
--'PendingRequestOldestTime',
--'PrepStmtCacheHitCount',
--'PrepStmtCacheMissCount',
--'PreparedStatementCacheProfileCount',
--'SessionPoolsCurrentCount',
--'SessionPoolsHighCount',
--'SessionsCurrentCount',
--'SessionsHighCount',
--'StatementProfileCount',
'TestTableStatus',
--'WaitSecondsHighCount',
'WaitingForConnectionCurrentCount',
--'WaitingForConnectionHighCount',
'JTATransactionsRolledBackPercent',
'JTATransactionsRolledBackPercent',
'JMSServerMessagesThroughput',
'JMSDestinationMessagesThroughput',
'JCAConnectionsRejectedRate',
'DBPoolsWaitingForConnectionsPercent',
'DBPoolsExceptionsRate',
'ServletResponseTimeAverage',
'ServletThroughput',
'EJBTransactionsTimedOutPercent'
);

insert into session.GWL_MGrpMbr
select 'AVG_E','GROUP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'StateDown',
'StateRunning',
'StateShutdownInProcess',
'StateShutdownPending',
'StateSuspended',
'StateStandby',
'StateUnknown',
'EJBTransactionsCommittedPerCycle',
'EJBTransactionsTimedOutPerCycle',
'HTTPSessionThroughput',
'JTATransactionsRolledBackPerCycle',
'ServletExecutionTimePerCycle',
'JTATransactionsPerCycle',
'JCAConnectionsRejectedPerCycle',
'EJBAttemptedTransactionsPerCycle',
'DBPoolsLeakedConnectionsPerCycle',
'JMSDestinationMessagesReceivedPerCycle',
'JMSServerMessagesReceivedPerCycle',
'JTAAttemptedTransactionsPerCycle',
'ServletInvocationsPerCycle',
'HTTPSessionsOpenedPerCycle',
--'ActivationCount',
'ActiveConnectionsCurrentCount',
--'AverageActiveUsage',
--'BeansInUseCount',
--'BytesCurrentCount',
--'BytesPendingCount',
--'BytesReceivedCount',
--'CacheAccessCount',
--'CacheHitCount',
--'CachedBeansCurrentCount',
--'CachedBeansIdleCurrentCount',
--'CachedBeansInUseCurrentCount',
--'ConnectionDelayTime',
--'ConnectionLeakProfileCount',
--'ConsumersCurrentCount',
--'DestinationsCurrentCount',
--'ExecuteThreadCurrentIdleCount',
--'ExecutionTimeAverage',
--'FailuresToReconnectCount',
--'FreeConnectionsCurrentCount',
'HeapFreeCurrent',
'HeapSizeCurrent',
--'IdleBeansCount',
--'LockedUsersCurrentCount',
--'LoginFailureCount',
'MessagesCurrentCount',
--'MessagesPendingCount',
--'PassivationCount',
'PendingRequestCurrentCount',
--'PendingRequestOldestTime',
--'PrepStmtCacheHitCount',
--'PrepStmtCacheMissCount',
--'PreparedStatementCacheProfileCount',
--'SessionPoolsCurrentCount',
--'SessionsCurrentCount',
--'StatementProfileCount',
'TestTableStatus',
'WaitingForConnectionCurrentCount',
'JTATransactionsRolledBackPercent',
'JTATransactionsRolledBackPercent',
'JMSServerMessagesThroughput',
'JMSDestinationMessagesThroughput',
'JCAConnectionsRejectedRate',
'DBPoolsWaitingForConnectionsPercent',
'DBPoolsExceptionsRate',
'ServletResponseTimeAverage',
'ServletThroughput',
'EJBTransactionsTimedOutPercent'
);

insert into session.GWL_MGrpMbr
select 'TOT_E','GROUP', mt.MsmtTyp_ID from TWG.MsmtTyp mt where MsmtTyp_Nm in (
'OpenSessionsCurrentCount'
);

-- insert the measurement group member into the generic schema 
-- if not exist already

insert into TWG.MGrpMbr (MGrp_Cd, MGrpTyp_Cd, MsmtTyp_ID)
select 
 m.MGrp_Cd,
 m.MGrpTyp_Cd,
 m.MsmtTyp_ID
from 
 session.GWL_MGrpMbr m
where not exists
( select 1 from
  TWG.MGrpMbr t
  where
  t.MGrpTyp_Cd=m.MGrpTyp_Cd and
  t.MGrp_Cd=m.MGrp_Cd and
  t.MsmtTyp_ID=m.MsmtTyp_ID)
  ;  

---------------------------------------
-- temporary table for  RelnTyp
---------------------------------------
declare global temporary table GWL_RelnTyp (
       RelnTyp_Cd           CHAR(6) NOT NULL,
       RelnTyp_Nm           VARCHAR(120) NOT NULL
       )
with replace on commit preserve rows not logged
;   


insert into TWG.RelnTyp (RELNTYP_CD,RELNTYP_NM)
select 
 m.RelnTyp_Cd as RelnTyp_Cd,
 m.RelnTyp_Nm as RelnTyp_Nm 	
from 
 session.GWL_RelnTyp m
where not exists
( select 1 from
  TWG.RelnTyp t
  where
  t.RelnTyp_Cd = m.RelnTyp_Cd  
  )
; 

--------------------------------------------------
-- Temporary for TWG.RelnRul
----------------------------------------
declare global temporary table Temp_RelnRul (
       CompTyp_Source_Cd    CHAR(17) NOT NULL,
       CompTyp_Target_Cd    CHAR(17) NOT NULL,
       RelnTyp_Cd           CHAR(6) NOT NULL,
       RelnRul_Strt_DtTm    TIMESTAMP NOT NULL,
       RelnRul_End_DtTm     TIMESTAMP NOT NULL
)
with replace on commit preserve rows not logged
;


insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_APPL','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_JDBC_CNXPL','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_JMS_SV','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_JVM','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_JMS_CNX','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_SV_SEC','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_EX_QU','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_LG_BCAST','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_SERVER','GWL_JTA','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_APPL','GWL_WAP_COMP','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_WAP_COMP','GWL_SERVLET','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_APPL','GWL_EJB_COMP','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_APPL','GWL_CNTOR_COMP','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_EJB_COMP','GWL_EJB','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_JMS_SV','GWL_JMS_DEST','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_JTA','GWL_TX_RES','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('GWL_HOST','GWL_SERVER','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('IP_HOST','GWL_SERVER','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');
insert into session.Temp_RelnRul values ('IP_INTERFACE','GWL_SERVER','PCHILD',current timestamp - current timezone, '9999-01-01-00.00.00.000000');

insert into TWG.RelnRul (CompTyp_Source_Cd,CompTyp_Target_Cd, RelnTyp_Cd, RelnRul_Strt_DtTm, RelnRul_End_DtTm)
select
 m.CompTyp_Source_Cd , 
 m.CompTyp_Target_Cd,
 m.RelnTyp_Cd, 
 m.RelnRul_Strt_DtTm,
 m.RelnRul_End_DtTm 
from
 session.Temp_RelnRul m
where
 not exists
( select 1 from
  TWG.RelnRul t
  where
  t.CompTyp_Source_Cd = m.CompTyp_Source_Cd and
  t.CompTyp_Target_Cd = m.CompTyp_Target_Cd and
  t.RelnTyp_Cd = m.RelnTyp_Cd 
  )
; 


--------------------------------------
-- temporary table for AttrRul 
---------------------------------------
declare global temporary table GWL_AttrRul (
       CompTyp_Cd           CHAR(17) NOT NULL,
       AttrTyp_Cd           CHAR(17) NOT NULL,
       AttrRul_Strt_DtTm    TIMESTAMP NOT NULL,
       AttrRul_End_DtTm     TIMESTAMP NOT NULL,
       AttrRul_Dom_Ind      CHAR NOT NULL
)
with replace on commit preserve rows not logged
;   
insert into session.GWL_AttrRul values ('GWL_CNTOR_COMP','GWL_CNT_DISP_NM',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_CNTOR_COMP','GWL_CNX_FACT_NM',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_CNTOR_COMP','GWL_CC_POOL_NM',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_HOST','AMX_EID',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');

insert into session.GWL_AttrRul values ('GWL_HOST','AMX_GMT_OFFSET',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_JDBC_CNXPL','GWL_JDBC_POOL_NM',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_JDBC_CNXPL','GWL_VERS_JDBC_DRV',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_JMS_CNX','GWL_CLIENT_ID',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_JMS_DEST','GWL_DEST_TYPE',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_SERVER','NAME',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_SERVER','GWL_DOMAIN',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_SERVER','GWL_LISTEN_ADDR',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
insert into session.GWL_AttrRul values ('GWL_SERVER','GWL_LISTEN_PORT',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_SERVER','VERSION',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_SERVLET','GWL_CONTEXT_PATH',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_SERVLET','GWL_SERVLET_PATH',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_WAP_COMP','GWL_SRCE_INFO',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_JVM','GWL_JVM_VENDOR',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');
	insert into session.GWL_AttrRul values ('GWL_JVM','VERSION',current timestamp - current timezone, '9999-01-01-00.00.00.000000','N');


insert into TWG.AttrRul (CompTyp_Cd, AttrTyp_Cd, AttrRul_Strt_DtTm, AttrRul_End_DtTm, AttrRul_Dom_Ind)
select 
 t.CompTyp_Cd ,
 t.AttrTyp_Cd ,
 t.AttrRul_Strt_DtTm ,
 t.AttrRul_End_DtTm ,
 t.AttrRul_Dom_Ind 
from 
 session.GWL_AttrRul t
where not exists
( select 1 from
  TWG.AttrRul m
  where
  t.CompTyp_Cd = m.CompTyp_Cd and
  t.AttrTyp_Cd = m.AttrTyp_Cd
  )
;


-- create a temporary table for oracle attribute domains
--declare global temporary table GWL_AttrDom (
--       AttrDom_ID           INTEGER NOT NULL,
--       CompTyp_Cd           CHAR(17) NOT NULL,
--       AttrTyp_Cd           CHAR(17) NOT NULL,
--       AttrDom_Strt_DtTm    TIMESTAMP NOT NULL,
--       AttrDom_End_DtTm     TIMESTAMP NOT NULL,
--       AttrDom_Val          VARCHAR(254) NOT NULL,
--       AttrDom_Ds           VARCHAR(254)
--)
--with replace on commit preserve rows not logged
--;


-- insert the domain values into the generic schema 
-- if not exist already

--insert into TWG.AttrDom 
--select
-- d.AttrDom_ID,
-- d.CompTyp_Cd,
-- d.AttrTyp_Cd,
-- d.AttrDom_Strt_DtTm,
-- d.AttrDom_End_DtTm,
-- d.AttrDom_Val,
-- d.AttrDom_Ds
--from
-- session.GWL_AttrDom d
--where not exists
--( select 1 from
--  TWG.AttrDom t
--  where
--   t.attrdom_id = d.attrdom_id
-- ) 
--  ;

----------------------------------------------
-- Translation tables
----------------------------------------------


--------------------------------------------------
-- Need to link the ITM Resource to the compTyp_cd 
----------------------------------------------

declare global temporary table AMX_Resource_Transl (
resource		varchar(50) not null,
CompTyp_cd		varchar(17) not null
)
with replace on commit preserve rows not logged
;

insert into session.AMX_Resource_Transl values ('WebLogicApplication','GWL_APPL');
insert into session.AMX_Resource_Transl values ('WebLogicConnectorComponent','GWL_CNTOR_COMP');
insert into session.AMX_Resource_Transl values ('WebLogicEJB','GWL_EJB');
insert into session.AMX_Resource_Transl values ('WebLogicEJBComponent','GWL_EJB_COMP');
insert into session.AMX_Resource_Transl values ('WebLogicExecuteQueue','GWL_EX_QU');
insert into session.AMX_Resource_Transl values ('WebLogicJDBCConnectionPool','GWL_JDBC_CNXPL');
insert into session.AMX_Resource_Transl values ('WebLogicJMSConnection','GWL_JMS_CNX');
insert into session.AMX_Resource_Transl values ('WebLogicJMSDestination','GWL_JMS_DEST');
insert into session.AMX_Resource_Transl values ('WebLogicJMSServer','GWL_JMS_SV');
insert into session.AMX_Resource_Transl values ('WebLogicJTA','GWL_JTA');
insert into session.AMX_Resource_Transl values ('WebLogicJVM','GWL_JVM');
insert into session.AMX_Resource_Transl values ('WebLogicLogBroadcaster','GWL_LG_BCAST');
insert into session.AMX_Resource_Transl values ('WebLogicServer','GWL_SERVER');
insert into session.AMX_Resource_Transl values ('WebLogicServlet','GWL_SERVLET');
insert into session.AMX_Resource_Transl values ('WebLogicServerSecurity','GWL_SV_SEC');
insert into session.AMX_Resource_Transl values ('WebLogicTransactionResource','GWL_TX_RES');
insert into session.AMX_Resource_Transl values ('WebLogicWebAppComponent','GWL_WAP_COMP');

insert into AMX.Resource_Transl
select 
t.resource as resource,
t.Comptyp_cd as comptyp_cd
from 
 session.AMX_resource_Transl t
where not exists
( select 1 from
  AMX.Resource_Transl m
  where
  t.comptyp_Cd = m.comptyp_Cd 
  )
; 

--------------------------------------------------
-- Need to link the ITM Category to the AVA code 
----------------------------------------------

declare global temporary table AMX_Category_Transl (
category		varchar(120) not null,
MSrc_cd			char(3) not null
)
with replace on commit preserve rows not logged
;

insert into session.AMX_Category_Transl values ('WebLogic','GWL');

insert into AMX.Category_Transl
select 
t.category as category,
t.Msrc_Cd as Msrc_Cd
from 
 session.AMX_Category_Transl t
where not exists
( select 1 from
  AMX.Category_Transl m
  where
  t.Msrc_Cd = m.Msrc_Cd 
  )
; 

--------------------------------------------------
-- Need a translation table if the property 
-- can have more than 17 characters 
-- Need to know which properties are key properties
-- Need to know which properties will be used for the Comp_Nm
--------------------------------------------------

declare global temporary table AMX_CompTyp_Transl (
Msrc_Cd			char(3) not null,
ITM_key_property	varchar(600) not null,
Comptyp_cd		varchar(17) not null,
Comp_format_nm		varchar(120) not null
)
with replace on commit preserve rows not logged
;

insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicApplication.Name','GWL_APPL','WebLogicApplication.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicConnectorComponent.Name','GWL_CNTOR_COMP','WebLogicConnectorComponent.DisplayName');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicEJB.Name','GWL_EJB','WebLogicEJB.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicEJBComponent.Name','GWL_EJB_COMP','WebLogicEJBComponent.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicExecuteQueue.Name','GWL_EX_QU','WebLogicExecuteQueue.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJDBCConnectionPool.Name','GWL_JDBC_CNXPL','WebLogicJDBCConnectionPool.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJMSConnection.Name','GWL_JMS_CNX','WebLogicJMSConnection.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJMSDestination.Name','GWL_JMS_DEST','WebLogicJMSDestination.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJMSServer.Name','GWL_JMS_SV','WebLogicJMSServer.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJTA.Name','GWL_JTA','WebLogicJTA.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicJVM.Name','GWL_JVM','WebLogicJVM.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicLogBroadcaster.Name','GWL_LG_BCAST','WebLogicLogBroadcaster.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicServer.Domain;WebLogicServer.Name','GWL_SERVER','WebLogicServer.Domain;WebLogicServer.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicServlet.Name','GWL_SERVLET','WebLogicServlet.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicServerSecurity.Name','GWL_SV_SEC','WebLogicServerSecurity.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicTransactionResource.Name','GWL_TX_RES','WebLogicTransactionResource.Name');
insert into session.AMX_Comptyp_Transl values ('GWL','WebLogicWebAppComponent.Name','GWL_WAP_COMP','WebLogicWebAppComponent.Name');


insert into AMX.Comptyp_Transl
select 
t.Msrc_Cd as Msrc_Cd,
t.ITM_key_property as ITM_key_property,
t.Comptyp_cd as Comptyp_cd,
t.Comp_format_nm as Comp_format_nm
from 
 session.AMX_Comptyp_Transl t
where not exists
( select 1 from
  AMX.Comptyp_Transl m
  where
  t.Msrc_Cd = m.Msrc_Cd and
  t.Comptyp_cd  = m.Comptyp_cd 
  )
; 


--------------------------------------------------
-- Need a translation table if the property 
-- can have more than 17 characters
----------------------------------------------
declare global temporary table AMX_AttrTyp_Transl (
Msrc_Cd			char(3) not null,
ITM_attr_property	varchar(120) not null,
AttrTyp_cd		varchar(17) not null
)
with replace on commit preserve rows not logged
;



insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServer.Domain','GWL_DOMAIN');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServer.Name','NAME');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicConnectorComponent.ConnectionFactoryName','GWL_CNX_FACT_NM');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicConnectorComponent.DisplayName','GWL_CNT_DISP_NM');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicConnectorComponent.PoolName','GWL_CC_POOL_NM');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJDBCConnectionPool.VersionJDBCDriver','GWL_VERS_JDBC_DRV');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJDBCConnectionPool.PoolName','GWL_JDBC_POOL_NM');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJMSConnection.ClientID','GWL_CLIENT_ID');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJMSDestination.DestinationType','GWL_DEST_TYPE');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServer.ListenAddress','GWL_LISTEN_ADDR');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServer.ListenPort','GWL_LISTEN_PORT');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServer.WebLogicVersion','VERSION');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServlet.ContextPath','GWL_CONTEXT_PATH');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicServlet.ServletPath','GWL_SERVLET_PATH');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicWebAppComponent.SourceInfo','GWL_SRCE_INFO');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJVM.JavaVendor','GWL_JVM_VENDOR');
insert into session.AMX_AttrTyp_Transl values ('GWL','WebLogicJVM.JavaVersion','VERSION');


insert into AMX.Attrtyp_Transl
select 
t.Msrc_Cd as Msrc_Cd,
t.ITM_attr_property as ITM_attr_property,
t.AttrTyp_Cd as AttrTyp_Cd
from 
 session.AMX_Attrtyp_Transl t
where not exists
( select 1 from
  AMX.Attrtyp_Transl m
  where
  t.Msrc_Cd = m.Msrc_Cd and
  t.AttrTyp_cd  = m.AttrTyp_cd 
  )
; 



------------------------------------------
-- insert the dimension: 
-- for the WebLogic DataMart
------------------------------------------
---------------------------------------
-- temporary table for Extract Control
---------------------------------------
 declare global temporary table Extract_Control (
        ExtCtl_Source   	varchar(120) not null,
 	ExtCtl_Target   	varchar(120) not null,
 	ExtCtl_From_RawSeq      char(10) for bit data,
 	ExtCtl_To_RawSeq        char(10) for bit data,
 	ExtCtl_From_IntSeq      bigint,
 	ExtCtl_To_IntSeq        bigint,
 	ExtCtl_From_DtTm     	timestamp not null,
 	ExtCtl_To_DtTm       	timestamp not null
	)
with replace on commit preserve rows not logged
;

-----------------------------------------------
-- From Staging to the T tables
-----------------------------------------------

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_HOST' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_SERVER' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_SERVER_MET' ,
    'GWL.T_SERVER_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_SERVER_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_APPL_MET' ,
    'GWL.T_APPL_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_APPL' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_APPL_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_CNT_COMP_MET' ,
    'GWL.T_CNT_COMP_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);
insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_CNT_COMP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_CNT_COMP_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JDBCCNXPL_MET' ,
    'GWL.T_JDBCCNXPL_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JDBCCNXPL' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JDBCCNXPL_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_EJB_MET' ,
    'GWL.T_EJB_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_EJB' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_EJB_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_EJB_COMP_MET' ,
    'GWL.T_EJB_COMP_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_EJB_COMP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_EJB_COMP_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_EX_QU_MET' ,
    'GWL.T_EX_QU_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_EX_QU' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_EX_QU_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JMSCNX_MET' ,
    'GWL.T_JMSCNX_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JMSCNX' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JMSCNX_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JMS_DEST_MET' ,
    'GWL.T_JMS_DEST_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JMS_DEST' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JMS_DEST_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JMSSRV_MET' ,
    'GWL.T_JMSSRV_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JMSSRV' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JMSSRV_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JVM_MET' ,
    'GWL.T_JVM_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JVM' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JVM_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_JTA_MET' ,
    'GWL.T_JTA_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_JTA' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_JTA_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_LOG_BDCT_MET' ,
    'GWL.T_LOG_BDCT_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);
insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_LOG_BDCT' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_LOG_BDCT_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_SERVLET_MET' ,
    'GWL.T_SERVLET_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_SERVLET' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_SERVLET_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_SERV_SEC_MET' ,
    'GWL.T_SERV_SEC_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_SERV_SEC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_SERV_SEC_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_TX_RES_MET' ,
    'GWL.T_TX_RES_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);
insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_TX_RES' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_TX_RES_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'GWL.STG_WAP_COMP_MET' ,
    'GWL.T_WAP_COMP_METRIC' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);
insert into session.extract_control values (
    'TWG.COMP' ,
    'GWL.T_WAP_COMP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'TWG.MSMT' ,
    'GWL.STG_WAP_COMP_HR' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

-- insert the static data for the extract table 
-- if not exist already

insert into TWG.Extract_control (ExtCtl_Source, ExtCtl_Target,ExtCtl_From_RawSeq, ExtCtl_To_RawSeq, ExtCtl_From_IntSeq, ExtCtl_To_IntSeq, ExtCtl_From_DtTm, ExtCtl_To_DtTm )
select 
 m.ExtCtl_Source ,
 m.ExtCtl_Target ,
 m.ExtCtl_From_RawSeq ,
 m.ExtCtl_To_RawSeq ,
 m.ExtCtl_From_IntSeq ,
 m.ExtCtl_To_IntSeq,
 m.ExtCtl_From_DtTm,
 m.ExtCtl_To_DtTm  
from 
 session.Extract_Control m
where not exists
( select 1 from
  TWG.Extract_Control t
  where
  t.ExtCtl_Source=m.ExtCtl_Source  and
  t.ExtCtl_Target=m.ExtCtl_Target
  )
; 
   
--------------------------------------
-- insert the dimension: Server metrics
-- for the WebLogic DataMart
------------------------------------------



declare global temporary table temp_min_exists (
 msmttyp_id	integer,
 min_exists     char(1)
)
with replace on commit preserve rows not logged 
; 
 
insert into session.temp_min_exists
select
 mb.msmttyp_id,
 'Y' as min_exists
from
 TWG.MgrpMbr mb,
 TWG.MsmtTyp mt
where
 mb.msmttyp_id=mb.msmttyp_id and
 mt.msrc_cd='GWL' and
 mb.mgrptyp_cd = 'GROUP' and
 mb.mgrp_cd='MIN_E'
group by mb.msmttyp_id  
;

-- select * from session.temp_min_exists;


declare global temporary table temp_max_exists (
 msmttyp_id	integer,
 max_exists     char(1)
)
with replace on commit preserve rows not logged 
; 
 
insert into session.temp_max_exists
select
 mb.msmttyp_id,
 'Y' as max_exists
from
 TWG.MgrpMbr mb, 
 TWG.MsmtTyp mt
where
 mb.msmttyp_id=mb.msmttyp_id and
 mt.msrc_cd='GWL' and
 mb.mgrptyp_cd = 'GROUP' and
 mb.mgrp_cd='MAX_E'
group by mb.msmttyp_id  
;

declare global temporary table temp_avg_exists (
 msmttyp_id	integer,
 avg_exists     char(1)
)
with replace on commit preserve rows not logged 
; 
 
insert into session.temp_avg_exists
select
 mb.msmttyp_id,
 'Y' as avg_exists
from
 TWG.MgrpMbr mb,
 TWG.MsmtTyp mt
where
 mb.msmttyp_id=mb.msmttyp_id and
 mt.msrc_cd='GWL' and
 mb.mgrptyp_cd = 'GROUP' and
 mb.mgrp_cd='AVG_E'
group by mb.msmttyp_id 
;

-- select * from session.temp_avg_exists;


declare global temporary table temp_tot_exists (
 msmttyp_id	integer,
 tot_exists     char(1)
)
with replace on commit preserve rows not logged 
; 
 
insert into session.temp_tot_exists
select
 mb.msmttyp_id,
 'Y' as tot_exists
from
 TWG.MgrpMbr mb,
 TWG.MsmtTyp mt
where
 mb.msmttyp_id=mt.msmttyp_id and
 mt.msrc_cd='GWL' and
 mb.mgrptyp_cd = 'GROUP' and
 mb.mgrp_cd='TOT_E'
group by mb.msmttyp_id 
;

--------------------
--- WebLogic Server 
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Server_met;

create table GWL.stg_Server_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Server_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_SERVER' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Server_met;

create view GWL.ve_Server_met (max_value) as
select max(metric_id) 
from GWL.stg_Server_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Server_met;

create view GWL.vd_Server_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Server_met d
;

------------------------
--- WebLogic  JDBCCnxPl
------------------------

--#IGNORE_ERROR
drop table GWL.stg_JDBCCnxPl_met;

create table GWL.stg_JDBCCnxPl_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JDBCCnxPl_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JDBC_CNXPL' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JDBCCnxPl_met;

create view GWL.ve_JDBCCnxPl_met (max_value) as
select max(metric_id) 
from GWL.stg_JDBCCnxPl_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JDBCCnxPl_met;

create view GWL.vd_JDBCCnxPl_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JDBCCnxPl_met d
;

--------------------
--- WebLogic  JMSCnx
--------------------
--#IGNORE_ERROR
drop table GWL.stg_JMSCnx_met;

create table GWL.stg_JMSCnx_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JMSCnx_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JMS_CNX' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JMSCnx_met;

create view GWL.ve_JMSCnx_met (max_value) as
select max(metric_id) 
from GWL.stg_JMSCnx_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JMSCnx_met;

create view GWL.vd_JMSCnx_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JMSCnx_met d
;

--------------------
--- WebLogic JMSSrv 
--------------------
--#IGNORE_ERROR
drop table GWL.stg_JMSSrv_met;

create table GWL.stg_JMSSrv_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JMSSrv_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JMS_SV' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JMSSrv_met;

create view GWL.ve_JMSSrv_met (max_value) as
select max(metric_id) 
from GWL.stg_JMSSrv_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JMSSrv_met;

create view GWL.vd_JMSSrv_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JMSSrv_met d
;

--------------------
--- WebLogic  Appl 
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Appl_met;

create table GWL.stg_Appl_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Appl_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_APPL' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Appl_met;

create view GWL.ve_Appl_met (max_value) as
select max(metric_id) 
from GWL.stg_Appl_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Appl_met;

create view GWL.vd_Appl_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Appl_met d
;

--------------------
--- WebLogic Ex_Qu
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Ex_Qu_met;

create table GWL.stg_Ex_Qu_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Ex_Qu_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_EX_QU' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Ex_Qu_met;

create view GWL.ve_Ex_Qu_met (max_value) as
select max(metric_id) 
from GWL.stg_Ex_Qu_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Ex_Qu_met;

create view GWL.vd_Ex_Qu_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Ex_Qu_met d
;

--------------------
--- WebLogic Serv_Sec
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Serv_Sec_met;

create table GWL.stg_Serv_Sec_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Serv_Sec_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_SV_SEC' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Serv_Sec_met;

create view GWL.ve_Serv_Sec_met (max_value) as
select max(metric_id) 
from GWL.stg_Serv_Sec_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Serv_Sec_met;

create view GWL.vd_Serv_Sec_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Serv_Sec_met d
;
--------------------
--- WebLogic Log_Bdct
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Log_Bdct_met;

create table GWL.stg_Log_Bdct_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Log_Bdct_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_LG_BCAST' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Log_Bdct_met;

create view GWL.ve_Log_Bdct_met (max_value) as
select max(metric_id) 
from GWL.stg_Log_Bdct_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Log_Bdct_met;

create view GWL.vd_Log_Bdct_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Log_Bdct_met d
;

--------------------
--- WebLogic JTA
--------------------
--#IGNORE_ERROR
drop table GWL.stg_JTA_met;

create table GWL.stg_JTA_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JTA_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JTA' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JTA_met;

create view GWL.ve_JTA_met (max_value) as
select max(metric_id) 
from GWL.stg_JTA_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JTA_met;

create view GWL.vd_JTA_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JTA_met d
;

--------------------
--- WebLogic JVM
--------------------
--#IGNORE_ERROR
drop table GWL.stg_JVM_met;

create table GWL.stg_JVM_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JVM_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JVM' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JVM_met;

create view GWL.ve_JVM_met (max_value) as
select max(metric_id) 
from GWL.stg_JVM_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JVM_met;

create view GWL.vd_JVM_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JVM_met d
;

--------------------
--- WebLogic Tx_Res
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Tx_Res_met;

create table GWL.stg_Tx_Res_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Tx_Res_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_TX_RES' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Tx_Res_met;

create view GWL.ve_Tx_Res_met (max_value) as
select max(metric_id) 
from GWL.stg_Tx_Res_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Tx_Res_met;

create view GWL.vd_Tx_Res_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Tx_Res_met d
;

--------------------
--- WebLogic JMS_Dest
--------------------
--#IGNORE_ERROR
drop table GWL.stg_JMS_Dest_met;

create table GWL.stg_JMS_Dest_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_JMS_Dest_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_JMS_DEST' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_JMS_Dest_met;

create view GWL.ve_JMS_Dest_met (max_value) as
select max(metric_id) 
from GWL.stg_JMS_Dest_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_JMS_Dest_met;

create view GWL.vd_JMS_Dest_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_JMS_Dest_met d
;
--------------------
--- WebLogic Cnt_Comp
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Cnt_Comp_met;

create table GWL.stg_Cnt_Comp_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Cnt_Comp_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_CNTOR_COMP' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Cnt_Comp_met;

create view GWL.ve_Cnt_Comp_met (max_value) as
select max(metric_id) 
from GWL.stg_Cnt_Comp_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Cnt_Comp_met;

create view GWL.vd_Cnt_Comp_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Cnt_Comp_met d
;

--------------------
--- WebLogic EJB_Comp
--------------------
--#IGNORE_ERROR
drop table GWL.stg_EJB_Comp_met;

create table GWL.stg_EJB_Comp_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_EJB_Comp_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_EJB_COMP' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_EJB_Comp_met;

create view GWL.ve_EJB_Comp_met (max_value) as
select max(metric_id) 
from GWL.stg_EJB_Comp_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_EJB_Comp_met;

create view GWL.vd_EJB_Comp_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_EJB_Comp_met d
;

--------------------
--- WebLogic WAP_COMP
--------------------
--#IGNORE_ERROR
drop table GWL.stg_WAP_COMP_met;

create table GWL.stg_WAP_COMP_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_WAP_COMP_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_WAP_COMP' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_WAP_COMP_met;

create view GWL.ve_WAP_COMP_met (max_value) as
select max(metric_id) 
from GWL.stg_WAP_COMP_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_WAP_COMP_met;

create view GWL.vd_WAP_COMP_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_WAP_COMP_met d
;
--------------------
--- WebLogic EJB
--------------------
--#IGNORE_ERROR
drop table GWL.stg_EJB_met;

create table GWL.stg_EJB_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_EJB_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_EJB' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_EJB_met;

create view GWL.ve_EJB_met (max_value) as
select max(metric_id) 
from GWL.stg_EJB_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_EJB_met;

create view GWL.vd_EJB_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_EJB_met d
;

--------------------
--- WebLogic Servlet
--------------------
--#IGNORE_ERROR
drop table GWL.stg_Servlet_met;

create table GWL.stg_Servlet_met (
 insert_dttm      	timestamp,
 metric_id     		integer        not null,
 met_category 		varchar(254)   ,
 met_desc        	varchar(254)   ,
 met_name	      	varchar(254)   not null,
 met_units      	varchar(254)   ,
 min_exists		char(1)        not null,
 max_exists		char(1)        not null,
 avg_exists		char(1)        not null,
 total_exists		char(1)        not null,
 msrc_nm		varchar(254)  ,
      primary key (metric_id));


insert  into GWL.stg_Servlet_met 
select
 current timestamp - current timezone as insert_dttm,
 mt.msmttyp_id as metric_id,
 'Not used' as met_category,
 mt.msmttyp_ds as met_desc,
 mt.msmttyp_nm as met_name,
 mt.munit_cd as met_units ,
 value(min.min_exists,'N') as min_exists,
 value(max.max_exists,'N') as max_exists,
 value(avg.avg_exists,'N') as avg_exists,
 value(tot.tot_exists,'N') as total_exists,
 s.msrc_nm as msrc_nm
from
 TWG.msmttyp mt left outer join session.temp_min_exists min
 on mt.msmttyp_id=min.msmttyp_id,
 TWG.msmttyp mt2 left outer join session.temp_max_exists max
 on mt2.msmttyp_id=max.msmttyp_id,
 TWG.msmttyp mt3 left outer join session.temp_avg_exists avg
 on mt3.msmttyp_id=avg.msmttyp_id,
 TWG.msmttyp mt4 left outer join session.temp_tot_exists tot
 on mt4.msmttyp_id=tot.msmttyp_id,
 TWG.MsmtRul mr,
 TWG.msrc s
where
 mt.msmttyp_id = mr.msmttyp_id and 
 mr.comptyp_cd = 'GWL_SERVLET' and
 mt.MSrc_Cd='GWL' and
 s.msrc_cd=mt.Msrc_cd and
 mt.msmttyp_id = mt2.msmttyp_id and
 mt.msmttyp_id = mt3.msmttyp_id and
 mt.msmttyp_id = mt4.msmttyp_id 
group by
 mt.msmttyp_id, mt.msmttyp_nm, mt.msmttyp_ds, mt.munit_cd, 
 min_exists, avg_exists, tot_exists, max_exists, s.msrc_nm
;

-- VE VIEW

--#IGNORE_ERROR
drop view GWL.ve_Servlet_met;

create view GWL.ve_Servlet_met (max_value) as
select max(metric_id) 
from GWL.stg_Servlet_met
;

-- VD VIEW

--#IGNORE_ERROR
drop view GWL.vd_Servlet_met;

create view GWL.vd_Servlet_met (
  orig_metric_id,
  met_category,
  met_desc,
  met_name,
  met_units,
  min_exists,
  max_exists,
  avg_exists,
  total_exists,
  msrc_nm) as
select 
  d.metric_id as orig_metric_id,
  d.met_category as met_category,
  d.met_desc as met_desc,
  d.met_name as met_name,
  d.met_units as met_units,
  d.min_exists as min_exists,
  d.max_exists as max_exists,
  d.avg_exists as avg_exists,
  d.total_exists as total_exists,
  d.msrc_nm as msrc_nm
from 
 GWL.stg_Servlet_met d
;                              

--@D0 Add missing prune info
--------------------------------------------------------------------
--Insert data into control table for pruning data from Msmt table.
--A date duration is decimal(8,0) and has the format yyyymmdd.
--------------------------------------------------------------------

declare global temporary table prune_msmt_control(
       MSrc_Cd              CHAR(6) NOT NULL,
       TmSum_Cd             CHAR NOT NULL,
       PMsmtC_Age_In_Days   DECIMAL(8,0) NOT NULL
) 
with replace on commit preserve rows not logged
;

insert into session.Prune_Msmt_Control values ('GWL', 'H', 00000300);
insert into session.Prune_Msmt_Control values ('GWL', 'D', 00000300);
insert into session.Prune_Msmt_Control values ('GWL', 'W', 00010000);
insert into session.Prune_Msmt_Control values ('GWL', 'M', 00010000);

insert into TWG.Prune_Msmt_Control(MSrc_Cd,TmSum_Cd, PMsmtC_Age_In_Days)
select * from 
 session.Prune_Msmt_Control s
where not exists
( select 1 from
  TWG.Prune_Msmt_Control t
  where
  t.MSrc_Cd = s.MSrc_Cd and
  t.TmSum_Cd = s.TmSum_Cd)
;                              

--@D0 End add prune info
