-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/etl/sql/gwl_m05_s010_mart_pre_extract.db2, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.4
-- #   Date: 11/11/02 17:40:10
-- ############################################################################

-- PRE EXTRACT 
-- DROP AND RECREATE STAGE FACT TABLES 

----------------------
-- WebLogic Server
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_SERVER_HR; 
 
CREATE TABLE GWL.STG_SERVER_HR 
( 
    MSMT_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
    PRIMARY KEY (orig_Server_id, orig_host_id, orig_metric_id, Sv_Version, cdw_id, meas_hour)
); 


----------------------
-- WebLogic JDBCCnxPl
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_JDBCCNXPL_HR; 
 
CREATE TABLE GWL.STG_JDBCCNXPL_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JDBCCNXPL_ID INTEGER NOT NULL,
    VERSJDBCDRV varchar(254) NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION varchar(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
	primary key (orig_JDBCCnxPl_id, VersJDBCDrv, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id, meas_hour)
); 
 
----------------------
-- WebLogic JMSCnx 
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_JMSCNX_HR; 
 
CREATE TABLE GWL.STG_JMSCNX_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JMSCNX_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT INTEGER,
 primary key (orig_JMSCnx_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 

----------------------
-- WebLogic JMSSrv 
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_JMSSRV_HR; 
 
CREATE TABLE GWL.STG_JMSSRV_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JMSSRV_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_JMSSrv_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
 
----------------------
-- WebLogic Appl
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_APPL_HR; 
 
CREATE TABLE GWL.STG_APPL_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_Appl_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
----------------------
-- WebLogic Ex_Qu
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_EX_QU_HR; 
 
CREATE TABLE GWL.STG_EX_QU_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_EX_QU_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_Ex_Qu_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 

----------------------
-- WebLogic Serv Sec
--------------------- 

 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_SERV_SEC_HR; 
 
CREATE TABLE GWL.STG_SERV_SEC_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_SERV_SEC_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_Serv_Sec_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
----------------------
-- WebLogic Log Bdct
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_LOG_BDCT_HR; 
 
CREATE TABLE GWL.STG_LOG_BDCT_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_LOG_BDCT_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_Log_Bdct_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 

----------------------
-- WebLogic JVM
--------------------- 
--#IGNORE_ERROR 
DROP TABLE GWL.STG_JVM_HR; 
 
CREATE TABLE GWL.STG_JVM_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JVM_ID INTEGER NOT NULL,
    JVMVERSION VARCHAR(254) NOT NULL,
    JVMVENDOR VARCHAR(254) NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_JVM_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, JVMVersion, JVMVendor, cdw_id,meas_hour)
); 
 

----------------------
-- WebLogic JTA
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_JTA_HR; 
 
CREATE TABLE GWL.STG_JTA_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JTA_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_JTA_id, orig_Server_id, Sv_Version, orig_host_id, orig_metric_id, cdw_id,meas_hour)
);

----------------------
-- WebLogic Tx_Res
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_TX_RES_HR; 
 
CREATE TABLE GWL.STG_TX_RES_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_TX_RES_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_JTA_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
primary key (orig_Tx_Res_id, orig_Server_id, Sv_Version, orig_JTA_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
 
----------------------
-- WebLogic JMS Dest
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_JMS_DEST_HR; 
 
CREATE TABLE GWL.STG_JMS_DEST_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_JMS_DEST_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_JMSSRV_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
 primary key (orig_JMS_Dest_id, orig_Server_id, Sv_Version, orig_JMSSrv_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 


----------------------
-- WebLogic Cnt Comp
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_CNT_COMP_HR; 
 
CREATE TABLE GWL.STG_CNT_COMP_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_CNT_COMP_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
       primary key (orig_Cnt_Comp_id, orig_Server_id, Sv_Version,orig_Appl_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
----------------------
-- WebLogic EJB Comp
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_EJB_COMP_HR; 
 
CREATE TABLE GWL.STG_EJB_COMP_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_EJB_COMP_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
       primary key (orig_EJB_Comp_id, orig_Server_id, SV_Version, orig_Appl_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 

----------------------
-- WebLogic WAP Comp
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_WAP_COMP_HR; 
 
CREATE TABLE GWL.STG_WAP_COMP_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_WAP_COMP_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
    primary key (orig_WAP_COMP_id, orig_Server_id, Sv_Version, orig_Appl_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
----------------------
-- WebLogic EJB
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_EJB_HR; 
 
CREATE TABLE GWL.STG_EJB_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_EJB_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_EJB_COMP_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
       primary key (orig_EJB_id, orig_Server_id, Sv_Version, orig_Appl_id, orig_EJB_Comp_id, orig_host_id, orig_metric_id, cdw_id,meas_hour)
); 
 
----------------------
-- WebLogic Servlet
--------------------- 

--#IGNORE_ERROR 
DROP TABLE GWL.STG_SERVLET_HR; 
 
CREATE TABLE GWL.STG_SERVLET_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_SERVLET_ID INTEGER NOT NULL,
    CONTEXTPATH VARCHAR(254) NOT NULL,
    SERVLETPATH VARCHAR(254) NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_APPL_ID INTEGER NOT NULL,
    ORIG_WAP_COMP_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE,
       primary key (orig_Servlet_id, orig_Server_id, Sv_Version, orig_Appl_id, orig_WAP_COMP_id, orig_host_id, orig_metric_id, ContextPath, ServletPath, cdw_id,meas_hour)
); 
 

