-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/etl/sql/gwl_m05_s020_mart_extract.db2, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.8
-- #   Date: 11/18/02 10:17:02
-- ############################################################################

 
-- GET THE HIGH VALUE FOR THE WINDOW 

--#VERSION 1.1.0.1.0 
----------------------
-- WebLogic Host
---------------------

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_HOST 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_HOST'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_HOST 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_HOST 
(CDW_ID,
HOST_ID,
ORIG_HOST_ID,
HOST_NAME,
CUST_NM,
CENTR_NM) 
SELECT 
1,
0,
A.ORIG_HOST_ID,
A.HOST_NAME,
A.CUST_NM,
A.CENTR_NM 
FROM 
GWL.VD_HOST  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_HOST'  AND
A.ORIG_HOST_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_HOST_ID <= EC.EXTCTL_TO_INTSEQ; 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_HOST'; 
 

----------------------
-- WebLogic Server
---------------------

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERVER_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_SERVER_MET'  AND 
EXTCTL_TARGET= 'GWL.T_SERVER_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERVER_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERVER_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_SERVER_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_SERVER_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERVER_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_SERVER_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERVER_METRIC'; 
 

 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERVER 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_SERVER'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERVER 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERVER 
(CDW_ID,
SERVER_ID,
ORIG_SERVER_ID,
SERVERNAME,
DOMAINNAME,
LISTENADDR,
LISTENPORT) 
SELECT 
1,
0,
A.ORIG_SERVER_ID,
A.SERVERNAME,
A.DOMAINNAME,
A.LISTENADDR,
A.LISTENPORT 
FROM 
GWL.VD_SERVER  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERVER'  AND
A.ORIG_SERVER_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_SERVER_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERVER'; 


UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_SERVER_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_SERVER_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_SERVER_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_SERVER_HR
(
CDW_ID,
MSMT_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_SERVER_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERVER_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERVER_HR'; 

-------------------
-- JDBCCNXPL
------------------

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JDBCCNXPL_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JDBCCNXPL_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JDBCCNXPL_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JDBCCNXPL_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JDBCCNXPL_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JDBCCNXPL_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JDBCCNXPL_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JDBCCNXPL_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JDBCCNXPL_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JDBCCNXPL_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JDBCCNXPL 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JDBCCNXPL'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JDBCCNXPL 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JDBCCNXPL 
(CDW_ID,
JDBCCNXPL_ID,
ORIG_JDBCCNXPL_ID,
JDBCCNXNAME,
POOLNAME
) 
SELECT 
1,
0,
A.ORIG_JDBCCNXPL_ID,
A.JDBCCNXNAME,
A.POOLNAME
FROM 
GWL.VD_JDBCCNXPL  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JDBCCNXPL'  AND
A.ORIG_JDBCCNXPL_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JDBCCNXPL_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JDBCCNXPL'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JDBCCNXPL_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JDBCCNXPL_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JDBCCNXPL_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JDBCCNXPL_HR
(
CDW_ID,
MSMT_ID,
ORIG_JDBCCNXPL_ID,
VERSJDBCDRV,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JDBCCNXPL_ID,
A.VERSJDBCDRV,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JDBCCNXPL_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JDBCCNXPL_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JDBCCNXPL_HR'; 
 
----------------------
-- WebLogic JMSCnx 
---------------------

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMSCNX_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JMSCNX_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JMSCNX_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMSCNX_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMSCNX_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JMSCNX_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JMSCNX_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMSCNX_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JMSCNX_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMSCNX_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMSCNX 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JMSCNX'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMSCNX 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMSCNX 
(CDW_ID,
JMSCNX_ID,
ORIG_JMSCNX_ID,
JMSCNXNAME,
CLIENTID) 
SELECT 
1,
0,
A.ORIG_JMSCNX_ID,
A.JMSCNXNAME,
A.CLIENTID 
FROM 
GWL.VD_JMSCNX  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMSCNX'  AND
A.ORIG_JMSCNX_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JMSCNX_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMSCNX'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JMSCNX_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JMSCNX_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JMSCNX_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JMSCNX_HR
(
CDW_ID,
MSMT_ID,
ORIG_JMSCNX_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JMSCNX_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JMSCNX_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMSCNX_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMSCNX_HR'; 
 
----------------------
-- WebLogic JMSSrv 
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMSSRV_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JMSSRV_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JMSSRV_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMSSRV_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMSSRV_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JMSSRV_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JMSSRV_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMSSRV_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JMSSRV_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMSSRV_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMSSRV 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JMSSRV'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMSSRV 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMSSRV 
(CDW_ID,
JMSSRV_ID,
ORIG_JMSSRV_ID,
JMSSRVNAME) 
SELECT 
1,
0,
A.ORIG_JMSSRV_ID,
A.JMSSRVNAME 
FROM 
GWL.VD_JMSSRV  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMSSRV'  AND
A.ORIG_JMSSRV_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JMSSRV_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMSSRV'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JMSSRV_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JMSSRV_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JMSSRV_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JMSSRV_HR
(
CDW_ID,
MSMT_ID,
ORIG_JMSSRV_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JMSSRV_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JMSSRV_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMSSRV_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMSSRV_HR'; 
 
----------------------
-- WebLogic Appl
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_APPL_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_APPL_MET'  AND 
EXTCTL_TARGET= 'GWL.T_APPL_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_APPL_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_APPL_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_APPL_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_APPL_MET'  AND
EC.EXTCTL_TARGET='GWL.T_APPL_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_APPL_MET'  AND
EC.EXTCTL_TARGET='GWL.T_APPL_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_APPL 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_APPL'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_APPL 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_APPL 
(CDW_ID,
APPL_ID,
ORIG_APPL_ID,
APPLNAME) 
SELECT 
1,
0,
A.ORIG_APPL_ID,
A.APPLNAME 
FROM 
GWL.VD_APPL  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_APPL'  AND
A.ORIG_APPL_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_APPL_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_APPL'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_APPL_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_APPL_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_APPL_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_APPL_HR
(
CDW_ID,
MSMT_ID,
ORIG_APPL_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_APPL_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_APPL_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_APPL_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_APPL_HR'; 
 
----------------------
-- WebLogic Ex_Qu
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EX_QU_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_EX_QU_MET'  AND 
EXTCTL_TARGET= 'GWL.T_EX_QU_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EX_QU_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EX_QU_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_EX_QU_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_EX_QU_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EX_QU_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_EX_QU_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EX_QU_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EX_QU 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_EX_QU'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EX_QU 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EX_QU 
(CDW_ID,
EX_QU_ID,
ORIG_EX_QU_ID,
EXQUNAME) 
SELECT 
1,
0,
A.ORIG_EX_QU_ID,
A.EXQUNAME 
FROM 
GWL.VD_EX_QU  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EX_QU'  AND
A.ORIG_EX_QU_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_EX_QU_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EX_QU'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_EX_QU_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_EX_QU_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_EX_QU_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_EX_QU_HR
(
CDW_ID,
MSMT_ID,
ORIG_EX_QU_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_EX_QU_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_EX_QU_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EX_QU_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EX_QU_HR'; 

----------------------
-- WebLogic Serv Sec
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERV_SEC_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_SERV_SEC_MET'  AND 
EXTCTL_TARGET= 'GWL.T_SERV_SEC_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERV_SEC_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERV_SEC_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_SERV_SEC_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_SERV_SEC_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERV_SEC_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_SERV_SEC_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERV_SEC_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERV_SEC 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_SERV_SEC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERV_SEC 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERV_SEC 
(CDW_ID,
SERV_SEC_ID,
ORIG_SERV_SEC_ID,
SEVSECNAME)
SELECT 
1,
0,
A.ORIG_SERV_SEC_ID,
A.SEVSECNAME
FROM 
GWL.VD_SERV_SEC  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERV_SEC'  AND
A.ORIG_SERV_SEC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_SERV_SEC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERV_SEC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_SERV_SEC_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_SERV_SEC_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_SERV_SEC_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_SERV_SEC_HR
(
CDW_ID,
MSMT_ID,
ORIG_SERV_SEC_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_SERV_SEC_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_SERV_SEC_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERV_SEC_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERV_SEC_HR'; 

----------------------
-- WebLogic Log Bdct
---------------------

--#IGNORE_ERROR 
DROP TABLE GWL.STG_LOG_BDCT_HR; 
 
CREATE TABLE GWL.STG_LOG_BDCT_HR 
( 
      MSMT_ID INTEGER NOT NULL,
    ORIG_LOG_BDCT_ID INTEGER NOT NULL,
    ORIG_SERVER_ID INTEGER NOT NULL,
    SV_VERSION VARCHAR(254) NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    CDW_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT DOUBLE 
); 

----------------------
-- WebLogic JVM
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JVM_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JVM_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JVM_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JVM_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JVM_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JVM_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JVM_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JVM_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JVM_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JVM_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JVM 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JVM'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JVM 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JVM 
(CDW_ID,
JVM_ID,
ORIG_JVM_ID,
JVMNAME) 
SELECT 
1,
0,
A.ORIG_JVM_ID,
A.JVMNAME 
FROM 
GWL.VD_JVM  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JVM'  AND
A.ORIG_JVM_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JVM_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JVM'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JVM_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JVM_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JVM_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 
--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JVM_HR
(
CDW_ID,
MSMT_ID,
ORIG_JVM_ID,
JVMVERSION,
JVMVENDOR,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JVM_ID,
A.JVMVERSION,
A.JVMVENDOR,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JVM_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JVM_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JVM_HR'; 
 


----------------------
-- WebLogic JTA
--------------------- 
-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JTA_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JTA_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JTA_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JTA_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JTA_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JTA_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JTA_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JTA_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JTA_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JTA_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JTA 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JTA'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JTA 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JTA 
(CDW_ID,
JTA_ID,
ORIG_JTA_ID,
JTANAME) 
SELECT 
1,
0,
A.ORIG_JTA_ID,
A.JTANAME 
FROM 
GWL.VD_JTA  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JTA'  AND
A.ORIG_JTA_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JTA_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JTA'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JTA_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JTA_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JTA_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JTA_HR
(
CDW_ID,
MSMT_ID,
ORIG_JTA_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JTA_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JTA_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JTA_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JTA_HR'; 

----------------------
-- WebLogic Tx_Res
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_TX_RES_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_TX_RES_MET'  AND 
EXTCTL_TARGET= 'GWL.T_TX_RES_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_TX_RES_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_TX_RES_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_TX_RES_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_TX_RES_MET'  AND
EC.EXTCTL_TARGET='GWL.T_TX_RES_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_TX_RES_MET'  AND
EC.EXTCTL_TARGET='GWL.T_TX_RES_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_TX_RES 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_TX_RES'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_TX_RES 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_TX_RES 
(CDW_ID,
TX_RES_ID,
ORIG_TX_RES_ID,
TXRESNAME) 
SELECT 
1,
0,
A.ORIG_TX_RES_ID,
A.TXRESNAME 
FROM 
GWL.VD_TX_RES  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_TX_RES'  AND
A.ORIG_TX_RES_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_TX_RES_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_TX_RES'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_TX_RES_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_TX_RES_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_TX_RES_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_TX_RES_HR
(
CDW_ID,
MSMT_ID,
ORIG_TX_RES_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_JTA_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_TX_RES_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_JTA_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_TX_RES_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_TX_RES_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_TX_RES_HR'; 
 
----------------------
-- WebLogic JMS Dest
--------------------- 

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMS_DEST_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_JMS_DEST_MET'  AND 
EXTCTL_TARGET= 'GWL.T_JMS_DEST_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMS_DEST_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMS_DEST_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_JMS_DEST_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_JMS_DEST_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMS_DEST_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_JMS_DEST_MET'  AND
EC.EXTCTL_TARGET='GWL.T_JMS_DEST_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_JMS_DEST 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_JMS_DEST'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_JMS_DEST 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_JMS_DEST 
(CDW_ID,
JMS_DEST_ID,
ORIG_JMS_DEST_ID,
JMSDESTNAME,
JMSDESTTYPE) 
SELECT 
1,
0,
A.ORIG_JMS_DEST_ID,
A.JMSDESTNAME,
A.JMSDESTTYPE 
FROM 
GWL.VD_JMS_DEST  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMS_DEST'  AND
A.ORIG_JMS_DEST_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_JMS_DEST_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_JMS_DEST'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_JMS_DEST_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_JMS_DEST_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_JMS_DEST_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_JMS_DEST_HR
(
CDW_ID,
MSMT_ID,
ORIG_JMS_DEST_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_JMSSRV_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_JMS_DEST_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_JMSSRV_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_JMS_DEST_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMS_DEST_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_JMS_DEST_HR'; 
 

----------------------
-- WebLogic Cnt Comp
---------------------

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_CNT_COMP_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_CNT_COMP_MET'  AND 
EXTCTL_TARGET= 'GWL.T_CNT_COMP_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_CNT_COMP_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_CNT_COMP_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_CNT_COMP_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_CNT_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_CNT_COMP_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_CNT_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_CNT_COMP_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_CNT_COMP 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_CNT_COMP'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_CNT_COMP 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_CNT_COMP 
(CDW_ID,
CNT_COMP_ID,
ORIG_CNT_COMP_ID,
CNTCOMPNAME,
DISPLAYNAME,
CNTFACTNAME,
POOLNAME) 
SELECT 
1,
0,
A.ORIG_CNT_COMP_ID,
A.CNTCOMPNAME,
A.DISPLAYNAME,
A.CNTFACTNAME,
A.POOLNAME 
FROM 
GWL.VD_CNT_COMP  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_CNT_COMP'  AND
A.ORIG_CNT_COMP_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_CNT_COMP_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_CNT_COMP'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_CNT_COMP_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_CNT_COMP_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_CNT_COMP_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_CNT_COMP_HR
(
CDW_ID,
MSMT_ID,
ORIG_CNT_COMP_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_APPL_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_CNT_COMP_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_APPL_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_CNT_COMP_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_CNT_COMP_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_CNT_COMP_HR'; 
 

----------------------
-- WebLogic EJB Comp
---------------------

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EJB_COMP_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_EJB_COMP_MET'  AND 
EXTCTL_TARGET= 'GWL.T_EJB_COMP_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EJB_COMP_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EJB_COMP_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_EJB_COMP_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_EJB_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_COMP_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_EJB_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_COMP_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EJB_COMP 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_EJB_COMP'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EJB_COMP 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EJB_COMP 
(CDW_ID,
EJB_COMP_ID,
ORIG_EJB_COMP_ID,
EJBCOMPNAME) 
SELECT 
1,
0,
A.ORIG_EJB_COMP_ID,
A.EJBCOMPNAME 
FROM 
GWL.VD_EJB_COMP  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_COMP'  AND
A.ORIG_EJB_COMP_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_EJB_COMP_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_COMP'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_EJB_COMP_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_EJB_COMP_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_EJB_COMP_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 

--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_EJB_COMP_HR
(
CDW_ID,
MSMT_ID,
ORIG_EJB_COMP_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_APPL_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_EJB_COMP_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_APPL_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_EJB_COMP_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EJB_COMP_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EJB_COMP_HR'; 
 
----------------------
-- WebLogic WAP Comp
---------------------

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_WAP_COMP_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_WAP_COMP_MET'  AND 
EXTCTL_TARGET= 'GWL.T_WAP_COMP_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_WAP_COMP_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_WAP_COMP_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_WAP_COMP_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_WAP_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_WAP_COMP_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_WAP_COMP_MET'  AND
EC.EXTCTL_TARGET='GWL.T_WAP_COMP_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_WAP_COMP 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_WAP_COMP'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_WAP_COMP 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_WAP_COMP 
(CDW_ID,
WAP_COMP_ID,
ORIG_WAP_COMP_ID,
WAPCOMPNAME,
SOURCEINFO) 
SELECT 
1,
0,
A.ORIG_WAP_COMP_ID,
A.WAPCOMPNAME,
A.SOURCEINFO 
FROM 
GWL.VD_WAP_COMP  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_WAP_COMP'  AND
A.ORIG_WAP_COMP_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_WAP_COMP_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_WAP_COMP'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_WAP_COMP_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_WAP_COMP_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_WAP_COMP_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 
--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_WAP_COMP_HR
(
CDW_ID,
MSMT_ID,
ORIG_WAP_COMP_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_APPL_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_WAP_COMP_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_APPL_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_WAP_COMP_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_WAP_COMP_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_WAP_COMP_HR'; 
 
----------------------
-- WebLogic EJB
---------------------
-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EJB_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_EJB_MET'  AND 
EXTCTL_TARGET= 'GWL.T_EJB_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EJB_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EJB_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_EJB_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_EJB_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_EJB_MET'  AND
EC.EXTCTL_TARGET='GWL.T_EJB_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_EJB 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_EJB'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_EJB 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_EJB
(CDW_ID,
EJB_ID,
ORIG_EJB_ID,
EJBNAME) 
SELECT 
1,
0,
A.ORIG_EJB_ID,
A.EJBNAME 
FROM 
GWL.VD_EJB  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EJB'  AND
A.ORIG_EJB_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_EJB_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_EJB'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_EJB_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_EJB_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_EJB_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 
--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_EJB_HR
(
CDW_ID,
MSMT_ID,
ORIG_EJB_ID,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_APPL_ID,
ORIG_EJB_COMP_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_EJB_ID,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_APPL_ID,
A.ORIG_EJB_COMP_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_EJB_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EJB_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_EJB_HR'; 
 
----------------------
-- WebLogic Servlet
---------------------

-- GET THE HIGH VALUE FOR THE WINDOW 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERVLET_MET 
) 
WHERE  
EXTCTL_SOURCE= 'GWL.STG_SERVLET_MET'  AND 
EXTCTL_TARGET= 'GWL.T_SERVLET_METRIC'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERVLET_MET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERVLET_METRIC 
(CDW_ID,
METRIC_ID,
ORIG_METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
1,
0,
A.ORIG_METRIC_ID,
A.MET_CATEGORY,
A.MET_DESC,
A.MET_NAME,
A.MET_UNITS,
A.MIN_EXISTS,
A.MAX_EXISTS,
A.AVG_EXISTS,
A.TOTAL_EXISTS,
A.MSRC_NM 
FROM 
GWL.VD_SERVLET_MET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='GWL.STG_SERVLET_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERVLET_METRIC'  AND
A.ORIG_METRIC_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_METRIC_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='GWL.STG_SERVLET_MET'  AND
EC.EXTCTL_TARGET='GWL.T_SERVLET_METRIC'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_WAP_COMP 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_WAP_COMP'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_WAP_COMP 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_WAP_COMP 
(CDW_ID,
WAP_COMP_ID,
ORIG_WAP_COMP_ID,
WAPCOMPNAME,
SOURCEINFO) 
SELECT 
1,
0,
A.ORIG_WAP_COMP_ID,
A.WAPCOMPNAME,
A.SOURCEINFO 
FROM 
GWL.VD_WAP_COMP  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_WAP_COMP'  AND
A.ORIG_WAP_COMP_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_WAP_COMP_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_SERVLET 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.COMP'  AND 
EXTCTL_TARGET= 'GWL.T_SERVLET'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_SERVLET 
); 
 

--#INSERT_INTO_TARGET 
INSERT INTO GWL.T_SERVLET 
(CDW_ID,
SERVLET_ID,
ORIG_SERVLET_ID,
SERVLETNAME) 
SELECT 
1,
0,
A.ORIG_SERVLET_ID,
A.SERVLETNAME 
FROM 
GWL.VD_SERVLET  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERVLET'  AND
A.ORIG_SERVLET_ID > EC.EXTCTL_FROM_INTSEQ AND
A.ORIG_SERVLET_ID <= EC.EXTCTL_TO_INTSEQ; 
 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.COMP'  AND
EC.EXTCTL_TARGET='GWL.T_SERVLET'; 
 

UPDATE TWG.EXTRACT_CONTROL SET  
EXTCTL_TO_INTSEQ = 
( 
  SELECT MAX_VALUE FROM 
      GWL.VE_STG_SERVLET_HR 
) 
WHERE  
EXTCTL_SOURCE= 'TWG.MSMT'  AND 
EXTCTL_TARGET= 'GWL.STG_SERVLET_HR'  AND 
EXISTS 
( 
  SELECT MAX_VALUE FROM 
       GWL.VE_STG_SERVLET_HR 
); 
 

-- INSERT FROM THE VIEW FOR THE STAGE FACT 
-- TABLE (LOCATED IN THE CDW) 
-- INTO THE STAGING FACT TABLE FOR THE FACT TABLE 
-- LOCATED IN THE DATA MART 
--#INSERT_INTO_TARGET 
INSERT INTO  
GWL.STG_SERVLET_HR
(
CDW_ID,
MSMT_ID,
ORIG_SERVLET_ID,
CONTEXTPATH,
SERVLETPATH,
ORIG_SERVER_ID,
SV_VERSION,
ORIG_APPL_ID,
ORIG_WAP_COMP_ID,
ORIG_HOST_ID,
ORIG_METRIC_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
) 
SELECT 
1,
A.MSMT_ID,
A.ORIG_SERVLET_ID,
A.CONTEXTPATH,
A.SERVLETPATH,
A.ORIG_SERVER_ID,
A.SV_VERSION,
A.ORIG_APPL_ID,
A.ORIG_WAP_COMP_ID,
A.ORIG_HOST_ID,
A.ORIG_METRIC_ID,
A.MEAS_HOUR,
A.MIN_VALUE,
A.MAX_VALUE,
A.AVG_VALUE,
A.TOTAL_VALUE,
A.SAMPLE_COUNT 
FROM 
GWL.VF_STG_SERVLET_HR  A, 
TWG.EXTRACT_CONTROL EC 
WHERE 
EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERVLET_HR'  AND
A.MSMT_ID > EC.EXTCTL_FROM_INTSEQ AND
A.MSMT_ID <= EC.EXTCTL_TO_INTSEQ; 
 

-- SQL STATEMENT TO UPDATE THE EXTRACT CONTROL LOG 
INSERT INTO TWG.EXTRACT_LOG 
SELECT 
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE, 
 EC.EXTCTL_TARGET AS EXTLOG_TARGET, 
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM, 
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ, 
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ, 
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ, 
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ, 
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM, 
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM 
FROM 
 TWG.EXTRACT_CONTROL EC 
WHERE 
 EC.EXTCTL_SOURCE='TWG.MSMT'  AND
EC.EXTCTL_TARGET='GWL.STG_SERVLET_HR'; 
 

