-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/etl/sql/gwl_m05_s030_mart_load.db2, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.6
-- #   Date: 11/18/02 13:40:28
-- ############################################################################

--#VERSION 1.1.0.1.0 

----------------------
-- WebLogic Host
---------------------

INSERT INTO GWL.D_HOST 
(HOST_ID,
HOST_NAME,
CUST_NM,
CENTR_NM) 
SELECT 
    0, 
    HOST_NAME,
    CUST_NM,
    CENTR_NM 
FROM 
GWL.T_HOST B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_HOST A
    WHERE
    A.CENTR_NM=B.CENTR_NM AND 
    A.CUST_NM=B.CUST_NM AND 
    A.HOST_NAME=B.HOST_NAME) 
GROUP BY 
CENTR_NM,
CUST_NM,
HOST_NAME;

UPDATE GWL.T_HOST S1 SET HOST_ID =
(
SELECT
D1.HOST_ID
from
GWL.D_HOST D1
where
S1.HOST_NAME = D1.HOST_NAME AND
S1.CUST_NM = D1.CUST_NM AND
S1.CENTR_NM = D1.CENTR_NM 
);

----------------------
-- WebLogic Server
---------------------

INSERT INTO GWL.D_SERVER_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_SERVER_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERVER_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 


INSERT INTO GWL.D_SERVER 
(SERVER_ID,
SERVERNAME,
DOMAINNAME,
LISTENADDR,
LISTENPORT) 
SELECT 
    0, 
    SERVERNAME,
    DOMAINNAME,
    LISTENADDR,
    LISTENPORT 
FROM 
GWL.T_SERVER B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERVER A
    WHERE
    A.DOMAINNAME=B.DOMAINNAME AND 
    A.LISTENADDR=B.LISTENADDR AND 
    A.LISTENPORT=B.LISTENPORT AND 
    A.SERVERNAME=B.SERVERNAME) 
GROUP BY 
DOMAINNAME,
LISTENADDR,
LISTENPORT,
SERVERNAME; 

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_SV_VERSION 
(SV_VERSION_ID,
SV_VERSION) 
SELECT 
0,
SV_VERSION
FROM 
GWL.STG_SERVER_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_SV_VERSION D
WHERE
D.SV_VERSION=S.SV_VERSION)
GROUP BY
SV_VERSION; 

UPDATE GWL.T_SERVER_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_SERVER_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_SERVER S1 SET SERVER_ID =
(
SELECT
D1.SERVER_ID
from
GWL.D_SERVER D1
where
S1.SERVERNAME = D1.SERVERNAME AND
S1.DOMAINNAME = D1.DOMAINNAME AND
S1.LISTENADDR = D1.LISTENADDR AND
S1.LISTENPORT = D1.LISTENPORT
);


DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   SERVER_ID      INTEGER NOT NULL,
   SV_VERSION_ID  INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_SERVER_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION= D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_SERVER_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_ID
FROM
 GWL.STG_SERVER_HR SP,
 GWL.T_SERVER_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_SERVER_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T3.METRIC_ID,
 T2.HOST_ID,
 T1.SERVER_ID,
 T1.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_SERVER T1,
 SESSION.TMP_HOST T2,
 SESSION.TMP_SERVER_METRIC T3
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_SERVER_HOUR  F
 WHERE
  T3.METRIC_ID=F.METRIC_ID AND
  T2.HOST_ID=F.HOST_ID AND
  T1.SERVER_ID=F.SERVER_ID AND
  T1.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 


----------------------
-- WebLogic JDBCCnxPl
---------------------

INSERT INTO GWL.D_JDBCCNXPL_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JDBCCNXPL_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JDBCCNXPL_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_JDBCCNXPL 
(JDBCCNXPL_ID,
JDBCCNXNAME,
POOLNAME
) 
SELECT 
    0, 
    JDBCCNXNAME,
    POOLNAME
FROM 
GWL.T_JDBCCNXPL B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JDBCCNXPL A
    WHERE
    A.JDBCCNXNAME=B.JDBCCNXNAME AND 
    A.POOLNAME=B.POOLNAME 
    ) 
GROUP BY 
JDBCCNXNAME,
POOLNAME
;  

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_JC_VERSION 
(JC_VERSION_ID,
VERSJDBCDRV) 
SELECT 
0,
VERSJDBCDRV
FROM 
GWL.STG_JDBCCNXPL_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_JC_VERSION D
WHERE
D.VERSJDBCDRV=S.VERSJDBCDRV)
GROUP BY
VERSJDBCDRV; 

UPDATE GWL.T_JDBCCNXPL_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JDBCCNXPL_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_JDBCCNXPL S1 SET JDBCCNXPL_ID =
(
SELECT
D1.JDBCCNXPL_ID
from
GWL.D_JDBCCNXPL D1
where
S1.JDBCCNXNAME = D1.JDBCCNXNAME AND
S1.POOLNAME=D1.POOLNAME
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JDBCCNXPL (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JDBCCNXPL_ID      INTEGER NOT NULL,
   JC_VERSION_ID     INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JDBCCNXPL
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JDBCCNXPL_ID,
 D1.JC_VERSION_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JDBCCNXPL_HR SP,
 GWL.T_JDBCCNXPL S1,
 GWL.D_JC_VERSION D1
WHERE
 SP.ORIG_JDBCCNXPL_ID= S1.ORIG_JDBCCNXPL_ID AND
 SP.VERSJDBCDRV= D1.VERSJDBCDRV AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JDBCCNXPL_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JDBCCNXPL_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JDBCCNXPL_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JDBCCNXPL_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_JDBCCNXPL_HR SP,
 GWL.T_JDBCCNXPL_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JDBCCNXPL_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JDBCCNXPL_ID,
JC_VERSION_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.JDBCCNXPL_ID,
 T1.JC_VERSION_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JDBCCNXPL T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_JDBCCNXPL_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JDBCCNXPL_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.JDBCCNXPL_ID=F.JDBCCNXPL_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.JC_VERSION_ID = F.JC_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 
 

----------------------
-- WebLogic JMSCnx 
---------------------

INSERT INTO GWL.D_JMSCNX_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JMSCNX_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMSCNX_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_JMSCNX 
(JMSCNX_ID,
JMSCNXNAME,
CLIENTID) 
SELECT 
    0, 
    JMSCNXNAME,
    CLIENTID 
FROM 
GWL.T_JMSCNX B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMSCNX A
    WHERE
    A.CLIENTID=B.CLIENTID AND 
    A.JMSCNXNAME=B.JMSCNXNAME) 
GROUP BY 
CLIENTID,
JMSCNXNAME; 

UPDATE GWL.T_JMSCNX_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JMSCNX_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_JMSCNX S1 SET JMSCNX_ID =
(
SELECT
D1.JMSCNX_ID
from
GWL.D_JMSCNX D1
where
S1.JMSCNXNAME = D1.JMSCNXNAME AND
S1.CLIENTID = D1.CLIENTID
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JMSCNX (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JMSCNX_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMSCNX
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JMSCNX_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JMSCNX_HR SP,
 GWL.T_JMSCNX S1
WHERE
 SP.ORIG_JMSCNX_ID= S1.ORIG_JMSCNX_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JMSCNX_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JMSCNX_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JMSCNX_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMSCNX_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_JMSCNX_HR SP,
 GWL.T_JMSCNX_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;



-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JMSCNX_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JMSCNX_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.JMSCNX_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JMSCNX T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_JMSCNX_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JMSCNX_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.JMSCNX_ID=F.JMSCNX_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 


----------------------
-- WebLogic JMSSrv 
--------------------- 

 
INSERT INTO GWL.D_JMSSRV_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JMSSRV_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMSSRV_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_JMSSRV 
(JMSSRV_ID,
JMSSRVNAME) 
SELECT 
    0, 
    JMSSRVNAME 
FROM 
GWL.T_JMSSRV B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMSSRV A
    WHERE
    A.JMSSRVNAME=B.JMSSRVNAME) 
GROUP BY 
JMSSRVNAME; 

UPDATE GWL.T_JMSSRV_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JMSSRV_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_JMSSRV S1 SET JMSSRV_ID =
(
SELECT
D1.JMSSRV_ID
from
GWL.D_JMSSRV D1
where
S1.JMSSRVNAME = D1.JMSSRVNAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JMSSRV (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JMSSRV_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMSSRV
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JMSSRV_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JMSSRV_HR SP,
 GWL.T_JMSSRV S1
WHERE
 SP.ORIG_JMSSRV_ID= S1.ORIG_JMSSRV_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JMSSRV_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JMSSRV_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JMSSRV_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMSCNX_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_JMSSRV_HR SP,
 GWL.T_JMSSRV_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JMSSRV_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JMSSRV_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.JMSSRV_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JMSSRV T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_JMSCNX_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JMSSRV_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.JMSSRV_ID=F.JMSSRV_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic Appl
--------------------- 

INSERT INTO GWL.D_APPL_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_APPL_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_APPL_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

 
 
INSERT INTO GWL.D_APPL 
(APPL_ID,
APPLNAME) 
SELECT 
    0, 
    APPLNAME 
FROM 
GWL.T_APPL B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_APPL A
    WHERE
    A.APPLNAME=B.APPLNAME) 
GROUP BY 
APPLNAME; 

UPDATE GWL.T_APPL_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_APPL_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_APPL S1 SET APPL_ID =
(
SELECT
D1.APPL_ID
from
GWL.D_APPL D1
where
S1.APPLNAME = D1.APPLNAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   APPL_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_APPL_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_APPL_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_APPL_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_APPL_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_APPL_HR SP,
 GWL.T_APPL_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_APPL_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.APPL_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_APPL T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_APPL_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_APPL_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.APPL_ID=F.APPL_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic Ex_Qu
--------------------- 

INSERT INTO GWL.D_EX_QU_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_EX_QU_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EX_QU_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_EX_QU 
(EX_QU_ID,
EXQUNAME) 
SELECT 
    0, 
    EXQUNAME 
FROM 
GWL.T_EX_QU B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EX_QU A
    WHERE
    A.EXQUNAME=B.EXQUNAME) 
GROUP BY 
EXQUNAME; 

UPDATE GWL.T_EX_QU_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_EX_QU_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_EX_QU S1 SET EX_QU_ID =
(
SELECT
D1.EX_QU_ID
from
GWL.D_EX_QU D1
where
S1.EXQUNAME = D1.EXQUNAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_EX_QU (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   EX_QU_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EX_QU
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.EX_QU_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_EX_QU_HR SP,
 GWL.T_EX_QU S1
WHERE
 SP.ORIG_EX_QU_ID= S1.ORIG_EX_QU_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_EX_QU_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_EX_QU_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_EX_QU_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EX_QU_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_EX_QU_HR SP,
 GWL.T_EX_QU_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_EX_QU_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
EX_QU_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.EX_QU_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_EX_QU T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_EX_QU_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_EX_QU_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.EX_QU_ID=F.EX_QU_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 


----------------------
-- WebLogic Serv Sec
--------------------- 

INSERT INTO GWL.D_SERV_SEC_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_SERV_SEC_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERV_SEC_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

 
 
INSERT INTO GWL.D_SERV_SEC 
(SERV_SEC_ID,
SEVSECNAME) 
SELECT 
    0, 
    SEVSECNAME 
FROM 
GWL.T_SERV_SEC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERV_SEC A
    WHERE
    A.SEVSECNAME=B.SEVSECNAME) 
GROUP BY 
SEVSECNAME; 

UPDATE GWL.T_SERV_SEC_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_SERV_SEC_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_SERV_SEC S1 SET SERV_SEC_ID =
(
SELECT
D1.SERV_SEC_ID
from
GWL.D_SERV_SEC D1
where
S1.SEVSECNAME = D1.SEVSECNAME 
);


-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_SERV_SEC (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   SERV_SEC_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERV_SEC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERV_SEC_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_SERV_SEC_HR SP,
 GWL.T_SERV_SEC S1
WHERE
 SP.ORIG_SERV_SEC_ID= S1.ORIG_SERV_SEC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_SERV_SEC_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_SERV_SEC_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERV_SEC_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERV_SEC_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_SERV_SEC_HR SP,
 GWL.T_SERV_SEC_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_SERV_SEC_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
SERV_SEC_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.SERV_SEC_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_SERV_SEC T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_SERV_SEC_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_SERV_SEC_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.SERV_SEC_ID=F.SERV_SEC_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 );

----------------------
-- WebLogic Log Bdct
--------------------- 

INSERT INTO GWL.D_LOG_BDCT_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_LOG_BDCT_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_LOG_BDCT_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

 
INSERT INTO GWL.D_LOG_BDCT 
(LOG_BDCT_ID,
LOGBDCTNAME) 
SELECT 
    0, 
    LOGBDCTNAME 
FROM 
GWL.T_LOG_BDCT B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_LOG_BDCT A
    WHERE
    A.LOGBDCTNAME=B.LOGBDCTNAME) 
GROUP BY 
LOGBDCTNAME; 

UPDATE GWL.T_LOG_BDCT_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_LOG_BDCT_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_LOG_BDCT S1 SET LOG_BDCT_ID =
(
SELECT
D1.LOG_BDCT_ID
from
GWL.D_LOG_BDCT D1
where
S1.LOGBDCTNAME = D1.LOGBDCTNAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_LOG_BDCT (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   LOG_BDCT_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_LOG_BDCT
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.LOG_BDCT_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_LOG_BDCT_HR SP,
 GWL.T_LOG_BDCT S1
WHERE
 SP.ORIG_LOG_BDCT_ID= S1.ORIG_LOG_BDCT_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_LOG_BDCT_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_LOG_BDCT_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_LOG_BDCT_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_LOG_BDCT_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_ID
FROM
 GWL.STG_LOG_BDCT_HR SP,
 GWL.T_LOG_BDCT_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_LOG_BDCT_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
LOG_BDCT_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.LOG_BDCT_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_LOG_BDCT T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_LOG_BDCT_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_LOG_BDCT_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.LOG_BDCT_ID=F.LOG_BDCT_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 );

----------------------
-- WebLogic JVM
--------------------- 

INSERT INTO GWL.D_JVM_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JVM_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JVM_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS;

INSERT INTO GWL.D_JVM 
(JVM_ID,
JVMNAME) 
SELECT 
    0, 
    JVMNAME 
FROM 
GWL.T_JVM B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JVM A
    WHERE
    A.JVMNAME=B.JVMNAME) 
GROUP BY 
JVMNAME; 

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_JM_JVMVENDOR 
(JVMVENDOR_ID,
JVMVENDOR) 
SELECT 
0,
JVMVENDOR 
FROM 
GWL.STG_JVM_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_JM_JVMVENDOR D
WHERE
D.JVMVENDOR=S.JVMVENDOR)
GROUP BY
JVMVENDOR; 
 

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_JM_JVMVERSION 
(JVMVERSION_ID,
JVMVERSION) 
SELECT 
0,
JVMVERSION 
FROM 
GWL.STG_JVM_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_JM_JVMVERSION D
WHERE
D.JVMVERSION=S.JVMVERSION)
GROUP BY
JVMVERSION; 


UPDATE GWL.T_JVM_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JVM_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_JVM S1 SET JVM_ID =
(
SELECT
D1.JVM_ID
from
GWL.D_JVM D1
where
S1.JVMNAME = D1.JVMNAME 
);

 
-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JVM (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JVM_ID          INTEGER NOT NULL,
   JVMVERSION_ID   INTEGER NOT NULL,
   JVMVENDOR_ID	   INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JVM
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JVM_ID,
 D1.JVMVERSION_ID,
 D2.JVMVENDOR_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JVM_HR SP,
 GWL.D_JM_JVMVERSION D1,
 GWL.D_JM_JVMVENDOR D2,
 GWL.T_JVM S1
WHERE
 SP.ORIG_JVM_ID= S1.ORIG_JVM_ID AND
 SP.JVMVERSION= D1.JVMVERSION AND
 SP.JVMVENDOR= D2.JVMVENDOR AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JVM_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JVM_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JVM_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JVM_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_ID
FROM
 GWL.STG_JVM_HR SP,
 GWL.T_JVM_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JVM_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JVM_ID,
SV_VERSION_ID,
JVMVENDOR_ID,
JVMVERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.JVM_ID,
 T2.SV_VERSION_ID,
 T1.JVMVENDOR_ID,
 T1.JVMVERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JVM T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_JVM_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JVM_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.JVM_ID=F.JVM_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.JVMVERSION_ID = F.JVMVERSION_ID AND
  T1.JVMVENDOR_ID = F.JVMVENDOR_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic JTA
--------------------- 

INSERT INTO GWL.D_JTA_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JTA_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JTA_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 


INSERT INTO GWL.D_JTA 
(JTA_ID,
JTANAME) 
SELECT 
    0, 
    JTANAME 
FROM 
GWL.T_JTA B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JTA A
    WHERE
    A.JTANAME=B.JTANAME) 
GROUP BY 
JTANAME; 

UPDATE GWL.T_JTA_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JTA_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_JTA S1 SET JTA_ID =
(
SELECT
D1.JTA_ID
from
GWL.D_JTA D1
where
S1.JTANAME = D1.JTANAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JTA (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JTA_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JTA
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JTA_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JTA_HR SP,
 GWL.T_JTA S1
WHERE
 SP.ORIG_JTA_ID= S1.ORIG_JTA_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JTA_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JTA_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JTA_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JTA_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_JTA_HR SP,
 GWL.T_JTA_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JTA_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JTA_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.JTA_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JTA T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_JTA_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JTA_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.JTA_ID=F.JTA_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 );

----------------------
-- WebLogic Tx_Res
--------------------- 

INSERT INTO GWL.D_TX_RES_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_TX_RES_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_TX_RES_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_TX_RES 
(TX_RES_ID,
TXRESNAME) 
SELECT 
    0, 
    TXRESNAME 
FROM 
GWL.T_TX_RES B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_TX_RES A
    WHERE
    A.TXRESNAME=B.TXRESNAME) 
GROUP BY 
TXRESNAME; 

UPDATE GWL.T_TX_RES_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_TX_RES_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_TX_RES S1 SET TX_RES_ID =
(
SELECT
D1.TX_RES_ID
from
GWL.D_TX_RES D1
where
S1.TXRESNAME = D1.TXRESNAME 
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_TX_RES (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   TX_RES_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_TX_RES
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.TX_RES_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_TX_RES_HR SP,
 GWL.T_TX_RES S1
WHERE
 SP.ORIG_TX_RES_ID= S1.ORIG_TX_RES_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_TX_RES_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_TX_RES_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_TX_RES_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_TX_RES_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_TX_RES_HR SP,
 GWL.T_TX_RES_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_TX_RES_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
TX_RES_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T4.METRIC_ID,
 T3.HOST_ID,
 T2.SERVER_ID,
 T1.TX_RES_ID,
 T2.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_TX_RES T1,
 SESSION.TMP_SERVER T2,
 SESSION.TMP_HOST T3,
 SESSION.TMP_TX_RES_METRIC T4
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_TX_RES_HOUR  F
 WHERE
  T4.METRIC_ID=F.METRIC_ID AND
  T3.HOST_ID=F.HOST_ID AND
  T2.SERVER_ID=F.SERVER_ID AND
  T1.TX_RES_ID=F.TX_RES_ID AND
  T2.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 );

----------------------
-- WebLogic JMS Dest
--------------------- 

INSERT INTO GWL.D_JMS_DEST_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_JMS_DEST_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMS_DEST_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_JMS_DEST 
(JMS_DEST_ID,
JMSDESTNAME,
JMSDESTTYPE) 
SELECT 
    0, 
    JMSDESTNAME,
    JMSDESTTYPE 
FROM 
GWL.T_JMS_DEST B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_JMS_DEST A
    WHERE
    A.JMSDESTNAME=B.JMSDESTNAME AND 
    A.JMSDESTTYPE=B.JMSDESTTYPE) 
GROUP BY 
JMSDESTNAME,
JMSDESTTYPE; 

UPDATE GWL.T_JMS_DEST_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_JMS_DEST_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM 
);

UPDATE GWL.T_JMS_DEST S1 SET JMS_DEST_ID =
(
SELECT
D1.JMS_DEST_ID
from
GWL.D_JMS_DEST D1
where
S1.JMSDESTNAME = D1.JMSDESTNAME  AND
S1.JMSDESTTYPE = D1.JMSDESTTYPE
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_JMS_DEST (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   JMS_DEST_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMS_DEST
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JMS_DEST_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_JMS_DEST_HR SP,
 GWL.T_JMS_DEST S1
WHERE
 SP.ORIG_JMS_DEST_ID= S1.ORIG_JMS_DEST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_JMSSRV (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   JMSSRV_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMSSRV 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.JMSSRV_ID
FROM
 GWL.STG_JMS_DEST_HR SP,
 GWL.T_JMSSRV S1
WHERE
 SP.ORIG_JMSSRV_ID= S1.ORIG_JMSSRV_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_JMS_DEST_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_JMS_DEST_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_JMS_DEST_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_JMS_DEST_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_JMS_DEST_HR SP,
 GWL.T_JMS_DEST_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_JMS_DEST_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
JMSSRV_ID,
JMS_DEST_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T5.METRIC_ID,
 T4.HOST_ID,
 T3.SERVER_ID,
 T2.JMSSRV_ID,
 T1.JMS_DEST_ID,
 T3.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_JMS_DEST T1,
 SESSION.TMP_JMSSRV T2,
 SESSION.TMP_SERVER T3,
 SESSION.TMP_HOST T4,
 SESSION.TMP_JMS_DEST_METRIC T5
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_JMS_DEST_HOUR  F
 WHERE
  T5.METRIC_ID=F.METRIC_ID AND
  T4.HOST_ID=F.HOST_ID AND
  T3.SERVER_ID=F.SERVER_ID AND
  T2.JMSSRV_ID=F.JMSSRV_ID AND
  T1.JMS_DEST_ID=F.JMS_DEST_ID AND
  T3.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 


----------------------
-- WebLogic Cnt Comp
--------------------- 

INSERT INTO GWL.D_CNT_COMP_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_CNT_COMP_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_CNT_COMP_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS;


INSERT INTO GWL.D_CNT_COMP 
(CNT_COMP_ID,
CNTCOMPNAME,
DISPLAYNAME,
CNTFACTNAME,
POOLNAME) 
SELECT 
    0, 
    CNTCOMPNAME,
    DISPLAYNAME,
    CNTFACTNAME,
    POOLNAME 
FROM 
GWL.T_CNT_COMP B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_CNT_COMP A
    WHERE
    A.CNTCOMPNAME=B.CNTCOMPNAME AND 
    A.CNTFACTNAME=B.CNTFACTNAME AND 
    A.DISPLAYNAME=B.DISPLAYNAME AND 
    A.POOLNAME=B.POOLNAME) 
GROUP BY 
CNTCOMPNAME,
CNTFACTNAME,
DISPLAYNAME,
POOLNAME; 

UPDATE GWL.T_CNT_COMP_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_CNT_COMP_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_CNT_COMP S1 SET CNT_COMP_ID =
(
SELECT
D1.CNT_COMP_ID
from
GWL.D_CNT_COMP D1
where
S1.CNTCOMPNAME = D1.CNTCOMPNAME  AND
S1.DISPLAYNAME = D1.DISPLAYNAME AND
S1.CNTFACTNAME = D1.CNTFACTNAME AND
S1.POOLNAME = D1.POOLNAME
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_CNT_COMP (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   CNT_COMP_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_CNT_COMP
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.CNT_COMP_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_CNT_COMP_HR SP,
 GWL.T_CNT_COMP S1
WHERE
 SP.ORIG_CNT_COMP_ID= S1.ORIG_CNT_COMP_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   APPL_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID
FROM
 GWL.STG_CNT_COMP_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_CNT_COMP_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_CNT_COMP_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_CNT_COMP_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_CNT_COMP_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_CNT_COMP_HR SP,
 GWL.T_CNT_COMP_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_CNT_COMP_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
CNT_COMP_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T5.METRIC_ID,
 T4.HOST_ID,
 T3.SERVER_ID,
 T2.APPL_ID,
 T1.CNT_COMP_ID,
 T3.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_CNT_COMP T1,
 SESSION.TMP_APPL T2,
 SESSION.TMP_SERVER T3,
 SESSION.TMP_HOST T4,
 SESSION.TMP_CNT_COMP_METRIC T5
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_CNT_COMP_HOUR  F
 WHERE
  T5.METRIC_ID=F.METRIC_ID AND
  T4.HOST_ID=F.HOST_ID AND
  T3.SERVER_ID=F.SERVER_ID AND
  T2.APPL_ID=F.APPL_ID AND
  T1.CNT_COMP_ID=F.CNT_COMP_ID AND
  T3.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 
----------------------
-- WebLogic EJB Comp
---------------------

INSERT INTO GWL.D_EJB_COMP_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_EJB_COMP_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EJB_COMP_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

 
INSERT INTO GWL.D_EJB_COMP 
(EJB_COMP_ID,
EJBCOMPNAME) 
SELECT 
    0, 
    EJBCOMPNAME 
FROM 
GWL.T_EJB_COMP B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EJB_COMP A
    WHERE
    A.EJBCOMPNAME=B.EJBCOMPNAME) 
GROUP BY 
EJBCOMPNAME; 

UPDATE GWL.T_EJB_COMP_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_EJB_COMP_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM 
);

UPDATE GWL.T_EJB_COMP S1 SET EJB_COMP_ID =
(
SELECT
D1.EJB_COMP_ID
from
GWL.D_EJB_COMP D1
where
S1.EJBCOMPNAME = D1.EJBCOMPNAME  
);


-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_EJB_COMP (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   EJB_COMP_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EJB_COMP
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.EJB_COMP_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_EJB_COMP_HR SP,
 GWL.T_EJB_COMP S1
WHERE
 SP.ORIG_EJB_COMP_ID= S1.ORIG_EJB_COMP_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   APPL_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID
FROM
 GWL.STG_EJB_COMP_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_EJB_COMP_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_EJB_COMP_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_EJB_COMP_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EJB_COMP_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_EJB_COMP_HR SP,
 GWL.T_EJB_COMP_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_EJB_COMP_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
EJB_COMP_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T5.METRIC_ID,
 T4.HOST_ID,
 T3.SERVER_ID,
 T2.APPL_ID,
 T1.EJB_COMP_ID,
 T3.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_EJB_COMP T1,
 SESSION.TMP_APPL T2,
 SESSION.TMP_SERVER T3,
 SESSION.TMP_HOST T4,
 SESSION.TMP_EJB_COMP_METRIC T5
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_EJB_COMP_HOUR  F
 WHERE
  T5.METRIC_ID=F.METRIC_ID AND
  T4.HOST_ID=F.HOST_ID AND
  T3.SERVER_ID=F.SERVER_ID AND
  T2.APPL_ID=F.APPL_ID AND
  T1.EJB_COMP_ID=F.EJB_COMP_ID AND
  T3.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic WAP Comp
---------------------

INSERT INTO GWL.D_WAP_COMP_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_WAP_COMP_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_WAP_COMP_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_WAP_COMP 
(WAP_COMP_ID,
WAPCOMPNAME,
SOURCEINFO) 
SELECT 
    0, 
    WAPCOMPNAME,
    SOURCEINFO 
FROM 
GWL.T_WAP_COMP B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_WAP_COMP A
    WHERE
    A.SOURCEINFO=B.SOURCEINFO AND 
    A.WAPCOMPNAME=B.WAPCOMPNAME) 
GROUP BY 
SOURCEINFO,
WAPCOMPNAME; 

UPDATE GWL.T_WAP_COMP_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_WAP_COMP_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_WAP_COMP S1 SET WAP_COMP_ID =
(
SELECT
D1.WAP_COMP_ID
from
GWL.D_WAP_COMP D1
where
S1.WAPCOMPNAME = D1.WAPCOMPNAME AND
S1.SOURCEINFO = D1.SOURCEINFO
);

-- Temporary tables

DECLARE GLOBAL TEMPORARY TABLE TMP_WAP_COMP (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   WAP_COMP_ID      INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_WAP_COMP
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.WAP_COMP_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_WAP_COMP_HR SP,
 GWL.T_WAP_COMP S1
WHERE
 SP.ORIG_WAP_COMP_ID= S1.ORIG_WAP_COMP_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   APPL_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID
FROM
 GWL.STG_WAP_COMP_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_WAP_COMP_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_WAP_COMP_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_WAP_COMP_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_WAP_COMP_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_WAP_COMP_HR SP,
 GWL.T_WAP_COMP_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_WAP_COMP_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
WAP_COMP_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T5.METRIC_ID,
 T4.HOST_ID,
 T3.SERVER_ID,
 T2.APPL_ID,
 T1.WAP_COMP_ID,
 T3.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_WAP_COMP T1,
 SESSION.TMP_APPL T2,
 SESSION.TMP_SERVER T3,
 SESSION.TMP_HOST T4,
 SESSION.TMP_WAP_COMP_METRIC T5
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_WAP_COMP_HOUR  F
 WHERE
  T5.METRIC_ID=F.METRIC_ID AND
  T4.HOST_ID=F.HOST_ID AND
  T3.SERVER_ID=F.SERVER_ID AND
  T2.APPL_ID=F.APPL_ID AND
  T1.WAP_COMP_ID=F.WAP_COMP_ID AND
  T3.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic EJB
---------------------

INSERT INTO GWL.D_EJB_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_EJB_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EJB_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

INSERT INTO GWL.D_EJB 
(EJB_ID,
EJBNAME) 
SELECT 
    0, 
    EJBNAME 
FROM 
GWL.T_EJB B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_EJB A
    WHERE
    A.EJBNAME=B.EJBNAME) 
GROUP BY 
EJBNAME; 

UPDATE GWL.T_EJB_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_EJB_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_EJB S1 SET EJB_ID =
(
SELECT
D1.EJB_ID
from
GWL.D_EJB D1
where
S1.EJBNAME = D1.EJBNAME 
);

DECLARE GLOBAL TEMPORARY TABLE TMP_EJB (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   EJB_ID          INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EJB
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.EJB_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_EJB S1
WHERE
 SP.ORIG_EJB_ID= S1.ORIG_EJB_ID AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_EJB_COMP (
   MSMT_ID        BIGINT NOT NULL,
   CDW_ID         INTEGER NOT NULL,
   EJB_COMP_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EJB_COMP 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.EJB_COMP_ID 
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_EJB_COMP S1
WHERE
 SP.ORIG_EJB_COMP_ID= S1.ORIG_EJB_COMP_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID   BIGINT NOT NULL,
   CDW_ID    INTEGER NOT NULL,
   APPL_ID   INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID 
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_EJB_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_EJB_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_EJB_HR SP,
 GWL.T_EJB_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;
-- NOW FOR THE INSERT STATEMENT FOR THE FACT TABLE 
-- POPULATED FROM A COMBINATION OF DIMENSION TABLES, 
-- TRANSLATION TABLES AND STAGING TABLE FOR THE FACT 
-- TABLE.  THIS IS ALL SO THAT IDS FROM DIFFERENT 
-- CDWS CAN BE PRESERVED. 
INSERT INTO GWL.F_EJB_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
EJB_COMP_ID,
EJB_ID,
SV_VERSION_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T6.METRIC_ID,
 T5.HOST_ID,
 T4.SERVER_ID,
 T3.APPL_ID,
 T2.EJB_COMP_ID,
 T1.EJB_ID,
 T4.SV_VERSION_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_EJB T1,
 SESSION.TMP_EJB_COMP T2,
 SESSION.TMP_APPL T3,
 SESSION.TMP_SERVER T4,
 SESSION.TMP_HOST T5,
 SESSION.TMP_EJB_METRIC T6
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 T1.CDW_ID = T6.CDW_ID AND T1.MSMT_ID = T6.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_EJB_HOUR  F
 WHERE
  T6.METRIC_ID=F.METRIC_ID AND
  T5.HOST_ID=F.HOST_ID AND
  T4.SERVER_ID=F.SERVER_ID AND
  T3.APPL_ID=F.APPL_ID AND
  T2.EJB_COMP_ID=F.EJB_COMP_ID AND
  T1.EJB_ID=F.EJB_ID AND
  T4.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 

----------------------
-- WebLogic Servlet
---------------------

 
INSERT INTO GWL.D_SERVLET_METRIC 
(METRIC_ID,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MAX_EXISTS,
AVG_EXISTS,
TOTAL_EXISTS,
MSRC_NM) 
SELECT 
    0, 
    MET_CATEGORY,
    MET_DESC,
    MET_NAME,
    MET_UNITS,
    MIN_EXISTS,
    MAX_EXISTS,
    AVG_EXISTS,
    TOTAL_EXISTS,
    MSRC_NM 
FROM 
GWL.T_SERVLET_METRIC B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERVLET_METRIC A
    WHERE
    A.AVG_EXISTS=B.AVG_EXISTS AND 
    A.MAX_EXISTS=B.MAX_EXISTS AND 
    A.MET_CATEGORY=B.MET_CATEGORY AND 
    A.MET_DESC=B.MET_DESC AND 
    A.MET_NAME=B.MET_NAME AND 
    A.MET_UNITS=B.MET_UNITS AND 
    A.MIN_EXISTS=B.MIN_EXISTS AND 
    A.MSRC_NM=B.MSRC_NM AND 
    A.TOTAL_EXISTS=B.TOTAL_EXISTS) 
GROUP BY 
AVG_EXISTS,
MAX_EXISTS,
MET_CATEGORY,
MET_DESC,
MET_NAME,
MET_UNITS,
MIN_EXISTS,
MSRC_NM,
TOTAL_EXISTS; 

 
INSERT INTO GWL.D_SERVLET 
(SERVLET_ID,
SERVLETNAME) 
SELECT 
    0, 
    SERVLETNAME 
FROM 
GWL.T_SERVLET B 
WHERE 
NOT EXISTS  (
   SELECT 1 FROM GWL.D_SERVLET A
    WHERE
    A.SERVLETNAME=B.SERVLETNAME) 
GROUP BY 
SERVLETNAME; 

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_SL_CONTEXTPATH 
(CONTEXTPATH_ID,
CONTEXTPATH) 
SELECT 
0,
CONTEXTPATH 
FROM 
GWL.STG_SERVLET_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_SL_CONTEXTPATH D
WHERE
D.CONTEXTPATH=S.CONTEXTPATH)
GROUP BY
CONTEXTPATH; 
 

-- INSERT INTO A SLOWLY CHANGING DIMENSION TABLE FROM 
-- THE FACT STAGING TABLE  
INSERT INTO GWL.D_SL_SERVLETPATH 
(SERVLETPATH_ID,
SERVLETPATH) 
SELECT 
0,
SERVLETPATH 
FROM 
GWL.STG_SERVLET_HR S
WHERE NOT EXISTS (
SELECT 1 FROM
GWL.D_SL_SERVLETPATH D
WHERE
D.SERVLETPATH=S.SERVLETPATH)
GROUP BY
SERVLETPATH; 

UPDATE GWL.T_SERVLET_METRIC S1 SET METRIC_ID =
(
SELECT
D1.METRIC_ID
from
GWL.D_SERVLET_METRIC D1
where
S1.MET_NAME = D1.MET_NAME AND
S1.MET_UNITS = D1.MET_UNITS AND
S1.MSRC_NM = D1.MSRC_NM
);

UPDATE GWL.T_SERVLET S1 SET SERVLET_ID =
(
SELECT
D1.SERVLET_ID
from
GWL.D_SERVLET D1
where
S1.SERVLETNAME = D1.SERVLETNAME 
);

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVLET (
   MSMT_ID         BIGINT NOT NULL,
   CDW_ID          INTEGER NOT NULL,
   SERVLET_ID      INTEGER NOT NULL,
   CONTEXTPATH_ID  INTEGER NOT NULL,
   SERVLETPATH_ID  INTEGER NOT NULL,
   MEAS_HOUR       TIMESTAMP NOT NULL,
   MIN_VALUE       FLOAT,
   MAX_VALUE       FLOAT,
   AVG_VALUE       FLOAT,
   TOTAL_VALUE     INTEGER,
   SAMPLE_COUNT    INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVLET 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVLET_ID,
 D1.CONTEXTPATH_ID,
 D2.SERVLETPATH_ID,
 SP.MEAS_HOUR,
 SP.MIN_VALUE,
 SP.MAX_VALUE,
 SP.AVG_VALUE,
 SP.TOTAL_VALUE,
 SP.SAMPLE_COUNT
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_SERVLET S1,
 GWL.D_SL_CONTEXTPATH D1,
 GWL.D_SL_SERVLETPATH D2
WHERe
 SP.ORIG_SERVLET_ID= S1.ORIG_SERVLET_ID AND
 SP.CONTEXTPATH= D1.CONTEXTPATH AND
 SP.SERVLETPATH= D2.SERVLETPATH AND
 SP.CDW_ID= S1.CDW_ID 
;


DECLARE GLOBAL TEMPORARY TABLE TMP_WAP_COMP (
   MSMT_ID        BIGINT NOT NULL,
   CDW_ID         INTEGER NOT NULL,
   WAP_COMP_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_WAP_COMP 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.WAP_COMP_ID 
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_WAP_COMP S1
WHERE
 SP.ORIG_WAP_COMP_ID= S1.ORIG_WAP_COMP_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_APPL (
   MSMT_ID   BIGINT NOT NULL,
   CDW_ID    INTEGER NOT NULL,
   APPL_ID   INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_APPL 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.APPL_ID 
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_APPL S1
WHERE
 SP.ORIG_APPL_ID= S1.ORIG_APPL_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVER (
   MSMT_ID          BIGINT NOT NULL,
   CDW_ID           INTEGER NOT NULL,
   SERVER_ID        INTEGER NOT NULL,
   SV_VERSION_ID    INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVER 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.SERVER_ID,
 D1.SV_VERSION_ID
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_SERVER S1,
 GWL.D_SV_VERSION D1
WHERE
 SP.ORIG_SERVER_ID= S1.ORIG_SERVER_ID AND
 SP.SV_VERSION = D1.SV_VERSION AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_HOST (
   MSMT_ID     BIGINT NOT NULL,
   CDW_ID      INTEGER NOT NULL,
   HOST_ID     INTEGER NOT NULl
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_HOST 
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.HOST_ID
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_HOST S1
WHERE
 SP.ORIG_HOST_ID= S1.ORIG_HOST_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

DECLARE GLOBAL TEMPORARY TABLE TMP_SERVLET_METRIC (
   MSMT_ID   	BIGINT NOT NULL,
   CDW_ID       INTEGER NOT NULL,
   METRIC_ID    INTEGER NOT NULL
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

INSERT INTO SESSION.TMP_SERVLET_METRIC
SELECT
 SP.CDW_ID,
 SP.MSMT_ID,
 S1.METRIC_Id
FROM
 GWL.STG_SERVLET_HR SP,
 GWL.T_SERVLET_METRIC S1
WHERE
 SP.ORIG_METRIC_ID= S1.ORIG_METRIC_ID AND
 SP.CDW_ID= S1.CDW_ID 
;

INSERT INTO GWL.F_SERVLET_HOUR 
(
METRIC_ID,
HOST_ID,
SERVER_ID,
APPL_ID,
WAP_COMP_ID,
SERVLET_ID,
SV_VERSION_ID,
CONTEXTPATH_ID,
SERVLETPATH_ID,
MEAS_HOUR,
MIN_VALUE,
MAX_VALUE,
AVG_VALUE,
TOTAL_VALUE,
SAMPLE_COUNT
)
SELECT
 T6.METRIC_ID,
 T5.HOST_ID,
 T4.SERVER_ID,
 T3.APPL_ID,
 T2.WAP_COMP_ID,
 T1.SERVLET_ID,
 T4.SV_VERSION_ID,
 T1.CONTEXTPATH_ID,
 T1.SERVLETPATH_ID,
 T1.MEAS_HOUR,
 T1.MIN_VALUE,
 T1.MAX_VALUE,
 T1.AVG_VALUE,
 T1.TOTAL_VALUE,
 T1.SAMPLE_COUNT
FROM
 SESSION.TMP_SERVLET T1,
 SESSION.TMP_WAP_COMP T2,
 SESSION.TMP_APPL T3,
 SESSION.TMP_SERVER T4,
 SESSION.TMP_HOST T5,
 SESSION.TMP_SERVLET_METRIC T6
WHERE
 T1.CDW_ID = T2.CDW_ID AND T1.MSMT_ID = T2.MSMT_ID AND
 T1.CDW_ID = T3.CDW_ID AND T1.MSMT_ID = T3.MSMT_ID AND
 T1.CDW_ID = T4.CDW_ID AND T1.MSMT_ID = T4.MSMT_ID AND
 T1.CDW_ID = T5.CDW_ID AND T1.MSMT_ID = T5.MSMT_ID AND
 T1.CDW_ID = T6.CDW_ID AND T1.MSMT_ID = T6.MSMT_ID AND
 NOT EXISTS (
 SELECT 1
 FROM 
  GWL.F_SERVLET_HOUR  F
 WHERE
  T6.METRIC_ID=F.METRIC_ID AND
  T5.HOST_ID=F.HOST_ID AND
  T4.SERVER_ID=F.SERVER_ID AND
  T3.APPL_ID=F.APPL_ID AND
  T2.WAP_COMP_ID=F.WAP_COMP_ID AND
  T1.SERVLET_ID=F.SERVLET_ID AND
  T4.SV_VERSION_ID=F.SV_VERSION_ID AND
  T1.CONTEXTPATH_ID = F.CONTEXTPATH_ID AND
  T1.SERVLETPATH_ID = F.SERVLETPATH_ID AND
  T1.MEAS_HOUR=F.MEAS_HOUR
 ); 
 
