-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/etl/sql/gwl_m05_s050_mart_prune.db2, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.3
-- #   Date: 11/11/02 17:47:19
-- ############################################################################

-- PRUNE EXTRACT 
-- DELETE DATA FROM FACT TABLES THAT IS OLDER 
-- THAN A PARTICULAR POINT IN TIME 

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG 
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_SERVER_HOUR', 
(SELECT PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_SERVER_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_SERVER_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_SERVER_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_SERVER_HOUR F 
WHERE 
DATE(MEAS_HOUR  + 
  (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME= 'GWL.F_SERVER_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

-----------------------
-- JDBCCNXPL
----------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JDBCCNXPL_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_JDBCCNXPL_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JDBCCNXPL_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JDBCCNXPL_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JDBCCNXPL_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JDBCCNXPL_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic JMS Cnx
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JMSCNX_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_JMSCNX_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JMSCNX_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JMSCNX_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JMSCNX_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME ='GWL.F_JMSCNX_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 


----------------------
-- WebLogic JMS Serv 
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JMSSRV_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_JMSSRV_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JMSSRV_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JMSSRV_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JMSSRV_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JMSSRV_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 


----------------------
-- WebLogic Appl
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_APPL_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_APPL_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_APPL_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_APPL_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_APPL_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_APPL_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic Ex_Qu
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_EX_QU_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE  TABLE_NAME = 
'GWL.F_EX_QU_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_EX_QU_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EX_QU_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_EX_QU_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EX_QU_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 


----------------------
-- WebLogic Serv Sec
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_SERV_SEC_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL  
WHERE  TABLE_NAME = 
'GWL.F_SERV_SEC_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_SERV_SEC_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_SERV_SEC_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_SERV_SEC_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_SERV_SEC_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic Log Bdct
--------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_LOG_BDCT_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL  
WHERE TABLE_NAME = 
'GWL.F_LOG_BDCT_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_LOG_BDCT_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_LOG_BDCT_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_LOG_BDCT_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_LOG_BDCT_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 


----------------------
-- WebLogic JVM
--------------------- 

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JVM_HOUR', 
(SELECT  PMARTC_DURATION  
FROM GWL.PRUNE_MART_CONTROL 
WHERE TABLE_NAME = 
'GWL.F_JVM_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JVM_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JVM_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JVM_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JVM_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic  JTA
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JTA_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_JTA_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JTA_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JTA_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JTA_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JTA_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic  Tx Res
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_TX_RES_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_TX_RES_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_TX_RES_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_TX_RES_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_TX_RES_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_TX_RES_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic JMS Dest
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_JMS_DEST_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_JMS_DEST_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_JMS_DEST_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JMS_DEST_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_JMS_DEST_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_JMS_DEST_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic Cnt Comp
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_CNT_COMP_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_CNT_COMP_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_CNT_COMP_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_CNT_COMP_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_CNT_COMP_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_CNT_COMP_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic EJB Comp
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_EJB_COMP_HOUR', 
(SELECT PMARTC_DURATION   
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_EJB_COMP_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_EJB_COMP_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EJB_COMP_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_EJB_COMP_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EJB_COMP_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic WAP Comp
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_WAP_COMP_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_WAP_COMP_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_WAP_COMP_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_WAP_COMP_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_WAP_COMP_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_WAP_COMP_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic EJB
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_EJB_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_EJB_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_EJB_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EJB_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_EJB_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_EJB_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

----------------------
-- WebLogic Servlet
---------------------

-- LOG THE FACT THAT THE FACT TABLE WAS PRUNED 
--#EXECUTE_AT_TARGET 
INSERT INTO 
GWL.PRUNE_MART_LOG  
VALUES 
(CURRENT TIMESTAMP - CURRENT TIMEZONE, 
'GWL.F_SERVLET_HOUR', 
(SELECT  PMARTC_DURATION  
FROM  GWL.PRUNE_MART_CONTROL
WHERE TABLE_NAME = 
'GWL.F_SERVLET_HOUR'), 
(SELECT COUNT(*) FROM  
GWL.F_SERVLET_HOUR F 
WHERE  
(DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_SERVLET_HOUR') 
     )) 
< DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
) 
); 

-- ACTUALLY DO THE PRUNING OF THE FACT TABLE 
-- NOW THAT WE LOGGED WHAT WE ARE GOING TO DELETE 
--#EXECUTE_AT_TARGET 
DELETE FROM GWL.F_SERVLET_HOUR F 
WHERE 
DATE(MEAS_HOUR +  
   (SELECT PMARTC_DURATION FROM GWL.PRUNE_MART_CONTROL P WHERE P.TABLE_NAME = 'GWL.F_SERVLET_HOUR') 
) 
< 
DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE) 
; 

