-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/mart/ddl/gwl_mart_drop_schema.sql, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.2
-- #   Date: 10/31/02 10:42:22
-- ############################################################################

------------------
-- WebLogic Prune
------------------

drop table GWL.Prune_Mart_Control;
drop table GWL.Prune_Mart_Log;

------------------
--- WebLogic Host 
------------------

drop table GWL.d_host;
drop table GWL.t_host;
drop trigger GWL.host_i1;
drop sequence GWL.host_id_seq restrict;

----------------------
--- WebLogic Server 
---------------------

drop table GWL.d_Server_metric;
drop table GWL.t_Server_metric;
drop table GWL.d_Server;
drop table GWL.t_Server;
drop table GWL.d_sv_Version;
drop table GWL.f_Server_hour;
drop table GWL.stg_Server_hr;
drop table GWL.f_Server_day;
drop table GWL.f_Server_week;
drop table GWL.f_Server_month;

drop trigger GWL.svmt_i1;
drop sequence GWL.svmt_id_seq restrict;
drop trigger GWL.serv_i1;
drop sequence GWL.serv_id_seq restrict;
drop trigger GWL.vers_i1;
drop sequence GWL.vers_id_seq restrict;

----------------------
--- WebLogic JDBCCnxPl 
---------------------

drop table GWL.d_JDBCCnxPl_metric;
drop table GWL.t_JDBCCnxPl_metric;
drop table GWL.d_JDBCCnxPl;
drop table GWL.t_JDBCCnxPl;
drop table GWL.d_Jc_Version;
drop table GWL.f_JDBCCnxPl_hour;
drop table GWL.stg_JDBCCnxPl_hr;
drop table GWL.f_JDBCCnxPl_day;
drop table GWL.f_JDBCCnxPl_week;
drop table GWL.f_JDBCCnxPl_month;

drop trigger GWL.cpmt_i1;
drop sequence GWL.cpmt_id_seq restrict;
drop trigger GWL.cxpl_i1;
drop sequence GWL.cxpl_id_seq restrict;
drop trigger GWL.jcvs_i1;
drop sequence GWL.jcvs_id_seq restrict;

----------------------
--- WebLogic JMSCnx 
---------------------

drop table GWL.d_JMSCnx_metric;
drop table GWL.t_JMSCnx_metric;
drop table GWL.d_JMSCnx;
drop table GWL.t_JMSCnx;
drop table GWL.f_JMSCnx_hour;
drop table GWL.stg_JMSCnx_hr;
drop table GWL.f_JMSCnx_day;
drop table GWL.f_JMSCnx_week;
drop table GWL.f_JMSCnx_month;

drop trigger GWL.jcmt_i1;
drop sequence GWL.jcmt_id_seq restrict;
drop trigger GWL.jmsc_i1;
drop sequence GWL.jmsc_id_seq restrict;

----------------------
--- WebLogic JMSSrv 
---------------------

drop table GWL.d_JMSSrv_metric;
drop table GWL.t_JMSSrv_metric;
drop table GWL.d_JMSSrv;
drop table GWL.t_JMSSrv;
drop table GWL.f_JMSSrv_hour;
drop table GWL.stg_JMSSrv_hr;
drop table GWL.f_JMSSrv_day;
drop table GWL.f_JMSSrv_week;
drop table GWL.f_JMSSrv_month;

drop trigger GWL.jsmt_i1;
drop sequence GWL.jsmt_id_seq restrict;
drop trigger GWL.jmss_i1;
drop sequence GWL.jmss_id_seq restrict;

----------------------
--- WebLogic Appl 
---------------------

drop table GWL.d_Appl_metric;
drop table GWL.t_Appl_metric;
drop table GWL.d_Appl;
drop table GWL.t_Appl;
drop table GWL.f_Appl_hour;
drop table GWL.stg_Appl_hr;
drop table GWL.f_Appl_day;
drop table GWL.f_Appl_week;
drop table GWL.f_Appl_month;

drop trigger GWL.apmt_i1;
drop sequence GWL.apmt_id_seq restrict;
drop trigger GWL.appl_i1;
drop sequence GWL.appl_id_seq restrict;

----------------------
--- WebLogic Ex_Qu 
---------------------

drop table GWL.d_Ex_Qu_metric;
drop table GWL.t_Ex_Qu_metric;
drop table GWL.d_Ex_Qu;
drop table GWL.t_Ex_Qu;
drop table GWL.f_Ex_Qu_hour;
drop table GWL.stg_Ex_Qu_hr;
drop table GWL.f_Ex_Qu_day;
drop table GWL.f_Ex_Qu_week;
drop table GWL.f_Ex_Qu_month;

drop trigger GWL.eqmt_i1;
drop sequence GWL.eqmt_id_seq restrict;
drop trigger GWL.exqu_i1;
drop sequence GWL.exqu_id_seq restrict;

----------------------
--- WebLogic Serv_Sec 
---------------------

drop table GWL.d_Serv_Sec_metric;
drop table GWL.t_Serv_Sec_metric;
drop table GWL.d_Serv_Sec;
drop table GWL.t_Serv_Sec;
drop table GWL.f_Serv_Sec_hour;
drop table GWL.stg_Serv_Sec_hr;
drop table GWL.f_Serv_Sec_day;
drop table GWL.f_Serv_Sec_week;
drop table GWL.f_Serv_Sec_month;

drop trigger GWL.ssmt_i1;
drop sequence GWL.ssmt_id_seq restrict;
drop trigger GWL.svsc_i1;
drop sequence GWL.svsc_id_seq restrict;

----------------------
--- WebLogic Log_Bdct 
---------------------

drop table GWL.d_Log_Bdct_metric;
drop table GWL.t_Log_Bdct_metric;
drop table GWL.d_Log_Bdct;
drop table GWL.t_Log_Bdct;
drop table GWL.f_Log_Bdct_hour;
drop table GWL.stg_Log_Bdct_hr;
drop table GWL.f_Log_Bdct_day;
drop table GWL.f_Log_Bdct_week;
drop table GWL.f_Log_Bdct_month;

drop trigger GWL.lgmt_i1;
drop sequence GWL.lgmt_id_seq restrict;
drop trigger GWL.lgbd_i1;
drop sequence GWL.lgbd_id_seq restrict;

----------------------
--- WebLogic JTA 
---------------------

drop table GWL.d_JTA_metric;
drop table GWL.t_JTA_metric;
drop table GWL.d_JTA;
drop table GWL.t_JTA;
drop table GWL.f_JTA_hour;
drop table GWL.stg_JTA_hr;
drop table GWL.f_JTA_day;
drop table GWL.f_JTA_week;
drop table GWL.f_JTA_month;

drop trigger GWL.jtmt_i1;
drop sequence GWL.jtmt_id_seq restrict;
drop trigger GWL.jta_i1;
drop sequence GWL.jta_id_seq restrict;

----------------------
--- WebLogic JVM 
---------------------

drop table GWL.d_JVM_metric;
drop table GWL.t_JVM_metric;
drop table GWL.d_JVM;
drop table GWL.t_JVM;
drop table GWL.d_jm_JVMVersion;
drop table GWL.d_jm_JVMVendor;
drop table GWL.f_JVM_hour;
drop table GWL.stg_JVM_hr;
drop table GWL.f_JVM_day;
drop table GWL.f_JVM_week;
drop table GWL.f_JVM_month;

drop trigger GWL.jmmt_i1;
drop sequence GWL.jmmt_id_seq restrict;
drop trigger GWL.jvm_i1;
drop sequence GWL.jvm_id_seq restrict;
drop trigger GWL.jvvs_i1;
drop sequence GWL.jvvs_id_seq restrict;
drop trigger GWL.jvvd_i1;
drop sequence GWL.jvvd_id_seq restrict;

----------------------
--- WebLogic Tx_Res 
---------------------

drop table GWL.d_Tx_Res_metric;
drop table GWL.t_Tx_Res_metric;
drop table GWL.d_Tx_Res;
drop table GWL.t_Tx_Res;
drop table GWL.f_Tx_Res_hour;
drop table GWL.stg_Tx_Res_hr;
drop table GWL.f_Tx_Res_day;
drop table GWL.f_Tx_Res_week;
drop table GWL.f_Tx_Res_month;

drop trigger GWL.trmt_i1;
drop sequence GWL.trmt_id_seq restrict;
drop trigger GWL.txrs_i1;
drop sequence GWL.txrs_id_seq restrict;

----------------------
--- WebLogic JMS_Dest 
---------------------

drop table GWL.d_JMS_Dest_metric;
drop table GWL.t_JMS_Dest_metric;
drop table GWL.d_JMS_Dest;
drop table GWL.t_JMS_Dest;
drop table GWL.f_JMS_Dest_hour;
drop table GWL.stg_JMS_Dest_hr;
drop table GWL.f_JMS_Dest_day;
drop table GWL.f_JMS_Dest_week;
drop table GWL.f_JMS_Dest_month;

drop trigger GWL.jdmt_i1;
drop sequence GWL.jdmt_id_seq restrict;
drop trigger GWL.jmsd_i1;
drop sequence GWL.jmsd_id_seq restrict;

----------------------
--- WebLogic Cnt_Comp 
---------------------

drop table GWL.d_Cnt_Comp_metric;
drop table GWL.t_Cnt_Comp_metric;
drop table GWL.d_Cnt_Comp;
drop table GWL.t_Cnt_Comp;
drop table GWL.f_Cnt_Comp_hour;
drop table GWL.stg_Cnt_Comp_hr;
drop table GWL.f_Cnt_Comp_day;
drop table GWL.f_Cnt_Comp_week;
drop table GWL.f_Cnt_Comp_month;

drop trigger GWL.ccmt_i1;
drop sequence GWL.ccmt_id_seq restrict;
drop trigger GWL.ctcp_i1;
drop sequence GWL.ctcp_id_seq restrict;

----------------------
--- WebLogic EJB_Comp 
---------------------

drop table GWL.d_EJB_Comp_metric;
drop table GWL.t_EJB_Comp_metric;
drop table GWL.d_EJB_Comp;
drop table GWL.t_EJB_Comp;
drop table GWL.f_EJB_Comp_hour;
drop table GWL.stg_EJB_Comp_hr;
drop table GWL.f_EJB_Comp_day;
drop table GWL.f_EJB_Comp_week;
drop table GWL.f_EJB_Comp_month;

drop trigger GWL.ecmt_i1;
drop sequence GWL.ecmt_id_seq restrict;
drop trigger GWL.ejbc_i1;
drop sequence GWL.ejbc_id_seq restrict;

----------------------
--- WebLogic WAP_COMP 
---------------------

drop table GWL.d_WAP_COMP_metric;
drop table GWL.t_WAP_COMP_metric;
drop table GWL.d_WAP_COMP;
drop table GWL.t_WAP_COMP;
drop table GWL.f_WAP_COMP_hour;
drop table GWL.stg_WAP_COMP_hr;
drop table GWL.f_WAP_COMP_day;
drop table GWL.f_WAP_COMP_week;
drop table GWL.f_WAP_COMP_month;

drop trigger GWL.wpmt_i1;
drop sequence GWL.wpmt_id_seq restrict;
drop trigger GWL.wpcp_i1;
drop sequence GWL.wpcp_id_seq restrict;

----------------------
--- WebLogic EJB 
---------------------

drop table GWL.d_EJB_metric;
drop table GWL.t_EJB_metric;
drop table GWL.d_EJB;
drop table GWL.t_EJB;
drop table GWL.f_EJB_hour;
drop table GWL.stg_EJB_hr;
drop table GWL.f_EJB_day;
drop table GWL.f_EJB_week;
drop table GWL.f_EJB_month;

drop trigger GWL.ejmt_i1;
drop sequence GWL.ejmt_id_seq restrict;
drop trigger GWL.ejb_i1;
drop sequence GWL.ejb_id_seq restrict;

----------------------
--- WebLogic Servlet 
---------------------

drop table GWL.d_Servlet_metric;
drop table GWL.t_Servlet_metric;
drop table GWL.d_Servlet;
drop table GWL.t_Servlet;
drop table GWL.d_sl_ContextPath;
drop table GWL.d_sl_ServletPath;
drop table GWL.f_Servlet_hour;
drop table GWL.stg_Servlet_hr;
drop table GWL.f_Servlet_day;
drop table GWL.f_Servlet_week;
drop table GWL.f_Servlet_month;

drop trigger GWL.slmt_i1;
drop sequence GWL.slmt_id_seq restrict;
drop trigger GWL.svlt_i1;
drop sequence GWL.svlt_id_seq restrict;
drop trigger GWL.ctpt_i1;
drop sequence GWL.ctpt_id_seq restrict;
drop trigger GWL.svpt_i1;
drop sequence GWL.svpt_id_seq restrict;


