-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/mart/dml/gwl_mart_data.sql, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.2
-- #   Date: 10/31/02 10:42:31
-- ############################################################################

---------------------------------------------
-- Rollup table
--------------------------------------------

-- create a temporary table for measurement source cd 

declare global temporary table Rollup_Tables  (
  Msrc_Cd		char(3) not null,
  Hourly_Fact_Table	varchar(25) not null,
  Stage_Fact_Table	varchar(25) not null
) 
with replace on commit preserve rows not logged
;


insert into session.Rollup_Tables values ('GWL','F_SERVER_HOUR','STG_SERVER_HR'); 
insert into session.Rollup_Tables values ('GWL','F_APPL_HOUR','STG_APPL_HR'); 
insert into session.Rollup_Tables values ('GWL','F_CNT_COMP_HOUR','STG_CNT_COMP_HR'); 
insert into session.Rollup_Tables values ('GWL','F_EJB_COMP_HOUR','STG_EJB_COMP_HR'); 
insert into session.Rollup_Tables values ('GWL','F_EJB_HOUR','STG_EJB_HR'); 
insert into session.Rollup_Tables values ('GWL','F_EX_QU_HOUR','STG_EX_QU_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JDBCCNXPL_HOUR','STG_JDBCCNXPL_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JMSCNX_HOUR','STG_JMSCNX_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JMSSRV_HOUR','STG_JMSSRV_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JMS_DEST_HOUR','STG_JMS_DEST_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JTA_HOUR','STG_JTA_HR'); 
insert into session.Rollup_Tables values ('GWL','F_JVM_HOUR','STG_JVM_HR'); 
insert into session.Rollup_Tables values ('GWL','F_LOG_BDCT_HOUR','STG_LOG_BDCT_HR'); 
insert into session.Rollup_Tables values ('GWL','F_SERVLET_HOUR','STG_SERVLET_HR'); 
insert into session.Rollup_Tables values ('GWL','F_SERV_SEC_HOUR','STG_SERV_SEC_HR'); 
insert into session.Rollup_Tables values ('GWL','F_TX_RES_HOUR','STG_TX_RES_HR'); 
insert into session.Rollup_Tables values ('GWL','F_WAP_COMP_HOUR','STG_WAP_COMP_HR'); 


insert into AMX.Rollup_tables 
select 
 r.Msrc_Cd,
 r.Hourly_Fact_Table,
 r.Stage_Fact_Table
from  
 session.Rollup_Tables r
where not exists
( select 1 from
  AMX.Rollup_tables t
  where
  r.Msrc_Cd=t.Msrc_Cd and
  r.Hourly_Fact_Table=t.Hourly_Fact_Table and
  r.Stage_Fact_Table=t.Stage_Fact_Table 
  )
  ; 

-- Insert data into control table for pruning data from all fact tables.
-- A date duration is decimal(8,0) and has the format yyyymmdd.

Declare global temporary table Prune_Mart_Control(
 Table_Name		varchar(120) not null,
 PMartC_Duration	decimal(8,0) not null)
 with replace on commit preserve rows not logged
 ;

insert into session.Prune_Mart_Control values ('GWL.F_SERVER_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVER_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVER_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVER_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_APPL_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_APPL_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_APPL_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_APPL_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_CNT_COMP_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_CNT_COMP_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_CNT_COMP_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_CNT_COMP_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_EJB_COMP_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_COMP_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_COMP_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_COMP_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_EJB_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EJB_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_EX_QU_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EX_QU_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EX_QU_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_EX_QU_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JDBCCNXPL_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JDBCCNXPL_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JDBCCNXPL_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JDBCCNXPL_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JMSCNX_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSCNX_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSCNX_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSCNX_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JMSSRV_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSSRV_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSSRV_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMSSRV_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JMS_DEST_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMS_DEST_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMS_DEST_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JMS_DEST_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JTA_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JTA_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JTA_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JTA_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_JVM_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JVM_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JVM_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_JVM_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_LOG_BDCT_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_LOG_BDCT_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_LOG_BDCT_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_LOG_BDCT_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_SERVLET_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVLET_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVLET_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERVLET_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_SERV_SEC_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERV_SEC_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERV_SEC_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_SERV_SEC_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_TX_RES_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_TX_RES_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_TX_RES_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_TX_RES_MONTH',00000300);

insert into session.Prune_Mart_Control values ('GWL.F_WAP_COMP_HOUR',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_WAP_COMP_DAY',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_WAP_COMP_WEEK',00000300);
insert into session.Prune_Mart_Control values ('GWL.F_WAP_COMP_MONTH',00000300);



insert into GWL.Prune_Mart_Control
select
  s.Table_Name as Table_Name,
  s.PMartC_Duration as PMartC_Duration
from
  session.Prune_Mart_Control s
where
 not exists (
   select 1
   from
    GWL.Prune_Mart_Control t
   where
    t.Table_Name = s.Table_Name
    )
;
