############################################################################
#
#  Licensed Materials - Property of IBM
#  5724-C01
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/misc/tools/dbrest.sh, BEA_PAC, wls_dev, 2004.06.23A
#   Revision: 1.2
#   Date: 10/31/02 10:42:52
############################################################################


# dbrest.sh: Utility to restore databases on NT/2000

# set -x

DB=$1
DLET=$2
USER=$3
PWD=$4

if [ "$DLET" = "" ]; then
   echo
   echo "dbrest.sh : a utility to restore DB2 UDB databases on NT/2000"
   echo
   echo "(E) Usage: bash dbrest.sh dbname driveletter user password"
   echo "    user and password will default to db2admin/db2admin if omitted"
   echo
   echo "If a backup is made to the c drive on one machine"
   echo "this utility can be used to restore the database to"
   echo "the e drive (or any drive) on another machine"
   echo
   echo "Restrictions:"
   echo "1. Database only uses the default tablespaces"
   echo "2. The database backup is in the current directory"

   exit
fi

if [ "$USER" = "" ]; then
   USER=db2admin
fi
if [ "$PWD" = "" ]; then
   PWD=db2admin
fi

# clean up completely in case of previous failures
db2 -v terminate

# end all connections to this database
db2stop force
db2start

# db2 -v list applications > myout
# cat myout | sed -n '6,$p' | awk -F' ' '{print $3}' > applist
# 
# for i in `cat applist`
# do
#    db2 -v "force application ($i) "
# done
# 
# # only continue if no connections to the database
# db2 -v list applications > myout
# cat myout | sed -n '6,$p' | awk -F' ' '{print $5}' | grep $DB > junk
# ret=$?
# if [ $ret -eq 0 ] ; then
#    echo "(E) connection(s) to $DB still exist. Disconnect and try again." 
#    exit
# fi
# if [ ! $ret -eq 0 ] ; then
#    echo "(I) OK, all connections to $DB have been terminated."
#    echo
# fi
# 
# rm myout junk applist

# first drop the database if it already exists
db2 -v drop db $DB
ret=$?
if [ ! $ret -eq 0 ]; then
  db2 -v catalog db $DB 
  ret2=$?
  if [ $ret2 -eq 0 ]; then
     db2 -v terminate 
     db2 -v drop db $DB 
  fi
  db2 -v uncatalog db $DB 
  db2 -v terminate 
fi

db2 -v restore db $DB user $USER using $PWD from . to $DLET redirect
ret=$?
if [ $ret -ne 0 ] && [ $ret -ne 1 ] && [ $ret -ne 2 ] ; then
   exit
fi

MYPATH="$DLET:\\db2\\$DB"
# echo $MYPATH

for i in 0 1 2
do
   db2 -v "set tablespace containers for $i using (path '$MYPATH\\ts2_$i')"
   ret=$?
   if [ $ret -ne 0 ] && [ $ret -ne 1 ] && [ $ret -ne 2 ] ; then
     exit
   fi
done

db2 -v restore db $DB continue
ret=$?
if [ $ret -ne 0 ] && [ $ret -ne 1 ] && [ $ret -ne 2 ] ; then
 exit
fi

db2 -v connect to $DB user $USER using $PWD


