#!/bin/sh
#############################################################################
# @(#)41       1.2  src/install/TMF/wGWL_preinstLinux.sh, BEA_PAC, wls_dev, 2004.06.23A 6/16/04 13:56:02
# (C) COPYRIGHT Tivoli Systems, IBM Corp. 1997, 2004
# All Rights Reserved
# Licensed Material - Property of IBM
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#############################################################################
#
# Name        : wGWL_preinstLinux.sh
#
# Component   : notes
#
# Description : This is the script that must be run PRIOR to installing
#               the product on a Linux TMR or Managed Node.
#
#               After running this script, you can install the base
#               product, followed by fix pack 5.1.0-WLS-FP02.
#
# Parameter(s): None.
#
#
# Notes:        The initial product install on Linux will give the following
#               warnings:
#               
#               "Could not find a valid Binaries media packet listed in the
#                installation index (.IND) for this type of platform.  Check
#                that the source directory is set correctly for what you are
#                trying to do."
#               "Could not find a valid Libraries media packet listed in the
#                installation index (.IND) for this type of platform.  Check
#                that the source directory is set correctly for what you are
#                trying to do."
#
#               These messages are expected, as the original product release
#               did not include TMR and Managed Node support for Linux.  This
#               situation is corrected by installing 5.1.0-WLS-FP02.
#
# Defect  ID   Change Description
# ------  ---  --------------------------------------------------------------
#
###########################################################################
if [ -z "$DBDIR" ]; then
    echo "ERROR:  Need to source the Tivoli environment\n"
    exit 1
fi
if [ ! -d "$DBDIR/.installed" ]; then
    echo "ERROR:  System is not a TMR/ManagedNode. A required subdirectory was not found.\n"
    exit 1
fi
if [ "$INTERP" = "linux-ix86" -o "$INTERP" = "linux-s390" ]; then
	touch "$DBDIR/.installed/WebLogic_ALIDB"
	echo "Linux preinstallation step completed successfully"
else
	echo "This script is valid only for Linux interps. No changes were made."
fi
	
exit 0
